grub-installer (1.128ubuntu15) groovy; urgency=medium

  [ Michael Hudson-Doyle ]
  * allow invoker to override architecture
  * do not be fancy trying to determine which grub-efi package to install
  * always pass --target x86_64-efi to grub-install on adm64/efi

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Jun 2020 21:23:11 +0100

grub-installer (1.128ubuntu14) eoan; urgency=medium

  * When running on a ZFS filesystem udevadm returns an error
    which can be ignored. (LP: #1847228)
  * On zfs 0.8 cache is in /etc, do not attempt to copy it from
    /boot/zfs when it doesn't exist.

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Tue, 08 Oct 2019 11:24:14 +0200

grub-installer (1.128ubuntu13) eoan; urgency=medium

  [ Cherrypick 1.165 Colin Watson ]
  * On Linux, mount/unmount /run to work around #918590. LP: #1838525

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 25 Sep 2019 16:51:02 +0100

grub-installer (1.128ubuntu12) cosmic; urgency=medium

  [ Hans van den Bogert ]
  * Fix support for installation on NVMe with RAID1 (LP: #1771845)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 06 Jul 2018 13:16:28 -0400

grub-installer (1.128ubuntu11) cosmic; urgency=medium

  * grub-installer: actually also do not purge grub-gfxpayload-lists as it's
    yet another dependency of grub-pc.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 27 Jun 2018 16:03:38 +0200

grub-installer (1.128ubuntu10) cosmic; urgency=medium

  * grub-installer: do not purge grub-pc-bin as well as it's a dependency of
    grub-pc.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 25 Jun 2018 18:28:07 +0200

grub-installer (1.128ubuntu9) cosmic; urgency=medium

  * grub-installer: install grub-pc for EFI setups and make sure we're
    not purging it earlier in case it got installed. It's needed to make sure
    the right maintainer scripts are run and the ESP populated. (LP: #1775743)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 19 Jun 2018 10:25:14 +0200

grub-installer (1.128ubuntu8) zesty; urgency=medium

  * Fix a typo in PReP bootdev selection code; we should not skip over a valid
    mpath device in favor of the underlying block device, since it won't be
    available for grub-install later. (LP: #1681932)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 11 Apr 2017 16:21:30 -0400

grub-installer (1.128ubuntu7) zesty; urgency=medium

  * grub-installer: deal with NVMe devices (or other devices with a partition
    separator) being used to back the PReP partition on ppc64el. (LP: #1656048)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 13 Jan 2017 16:19:30 -0500

grub-installer (1.128ubuntu6) yakkety; urgency=medium

  * grub-installer: remove grub/grub-legacy code. We only do variants of grub2.
    (LP: #1611740)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 11 Aug 2016 14:07:06 -0400

grub-installer (1.128ubuntu5) xenial; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * grub-installer [ppc64el]: generalize the regex for multiple PReP
    partitions (rather than append 'p' just for NVMe :) for any /dev
    entry, but without trailing partition numbers (matches the shell
    parameter expansion in the subsequent grep). (LP: #1550448)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 14 Mar 2016 16:05:57 -0400

grub-installer (1.128ubuntu4) xenial; urgency=medium

  * Fix installing grub to a PReP partition over RAID which would be supported
    by NVME or other types of devices than [hsv]d drives.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 29 Feb 2016 10:48:37 -0500

grub-installer (1.128ubuntu3) xenial; urgency=medium

  * grub-installer [ppc64el]: support multiple PReP partitions on component
    devices of a MD/mdadm device. (LP: #1550448)

 -- Mauricio Faria de Oliveira <mauricfo@linux.vnet.ibm.com>  Fri, 26 Feb 2016 15:14:21 -0500

grub-installer (1.128ubuntu2) xenial; urgency=medium

  * If grub-installer/choose_bootdev only has one non-manual choice, default
    to that and reduce question priority to low.  May fix LP: #1528360.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jan 2016 14:06:44 +0000

grub-installer (1.128ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot.  (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays.  Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.
    - Remove grub-gfxpayload-lists in situations where we need to remove
      grub-pc.
    - Remove 'quiet' from target system command line if
      debian-installer/quiet is set to false.
    - When /boot is on a loopback device (i.e. Wubi), install GRUB there.
    - Simplify /proc and /sys mounting; make sure they're consistently
      mounted for the entire life of grub-installer, and consistently
      unmounted on exit.
    - Only process the output of os-prober into boot menu entries if we're
      actually going to use them; if we're using GRUB 2 and os-prober is
      installed, then it will deal with this itself and do a better job of
      it.
    - Properly handle systems on which there may be more than 26 disks, and our
      boot partition meant to be on a disk named [hsv]d[a-z][a-z].
    - Don't try to mark a partition as active, except on grub-pc.
    - Better handle PReP partitions on ppc64el:
      - prep-bootdev: add '-l' option to list all PReP partitions.  With this,
        it's possible to do more things to select a PReP partition.
      - grub-installer [ppc64el]: bootdev/wipe_bootdev: prefer PReP partition
        on the same disk as the boot file system partition ($disc_offered).
    - Fall back to grub-pc if there is no /target/boot/efi directory.
    - Handle partitioned /dev/mdNNN devices, installing to the corresponding
      disk instead.
    - If grub-installer/bootdev was set to (hd0), override it to the OS device
      name for the first disk if possible.
    - Multipath device names have changed; so since multipath-tools 0.5.0
      rather than mpath[0-9]+p[0-9]+, they are now named mpath[a-z]+[0-9]+.
      Fix this so grub-installer has a chance of properly installing on
      multipath devices when not using grub-ieee1275.
    - Force grub-installer/bootdev to take precedence over only_debian and
      with_other_os.
    - Only look for the prep flag, not boot as well; these appear to be
      mutually exclusive on GPT.
    - Fix ppc64el detection in boot device hack.
    - Handle FusionIO devices.
    - Always use grub-efi-amd64-signed on 64bit UEFI systems instead of
      relying on SecureBoot detection.
    - update_grub() used a variable called $update_grub, change name
      to $update_grub_cmd to prevent this clash.
    - Fix code that transfers user boot parameters into target system to work
      even when grub-pc is already installed, as in the case of installing
      with a live filesystem.
    - Ensure appropriate package removals if grub-efi-amd64-signed is
      selected.
    - If the SecureBoot EFI variable is set, then install
      grub-efi-amd64-signed rather than grub-efi, along with shim-signed if
      available.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 10 Dec 2015 13:46:55 -0500

grub-installer (1.128) unstable; urgency=high

  * Fix buggy /dev/nvme matching in the case statement to determine
    disc_offered_devfs (Closes: #799119). Thanks, Mario Limonciello!

 -- Cyril Brulebois <kibi@debian.org>  Thu, 03 Dec 2015 00:26:42 +0100

grub-installer (1.127) unstable; urgency=medium

  [ Updated translations ]
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Fri, 02 Oct 2015 11:21:43 +0200

grub-installer (1.126) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Aug 2015 06:17:47 +0200

grub-installer (1.125) unstable; urgency=medium

  [ Ian Campbell ]
  * Correctly propagate grub-installer/force-efi-extra-removable to installed
    system. (Closes: #792247).

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Ian Campbell <ijc@debian.org>  Sat, 25 Jul 2015 17:15:17 +0100

grub-installer (1.124) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Jun 2015 14:09:40 +0200

grub-installer (1.123) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 May 2015 18:59:08 +0200

grub-installer (1.122) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add support for /dev/nvme* devices (NVMe SSD Add-in-Card devices),
    by mimicking what is already done in the /dev/mmcblk* case. Thanks to
    Steve Rowe for the report and the initial patch! (Closes: #785149)

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 May 2015 06:57:05 +0200

grub-installer (1.121) unstable; urgency=medium

  [ Updated translations ]
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 May 2015 07:29:58 +0200

grub-installer (1.120) unstable; urgency=low

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Marathi (mr.po) by Sampada

 -- Christian Perrier <bubulle@debian.org>  Tue, 05 May 2015 08:23:19 +0200

grub-installer (1.119) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Enable detection of kfreebsd disk types vtbd (virtio) and xbd (Xen).

 -- Christian Perrier <bubulle@debian.org>  Fri, 01 May 2015 08:50:59 +0200

grub-installer (1.118) unstable; urgency=low

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto. Closes: #783367

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Apr 2015 07:08:58 +0200

grub-installer (1.117) unstable; urgency=low

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Apr 2015 07:05:05 +0200

grub-installer (1.116) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Ioan Eugen Stan

 -- Christian Perrier <bubulle@debian.org>  Thu, 09 Apr 2015 19:50:12 +0200

grub-installer (1.115) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Apr 2015 08:55:31 +0200

grub-installer (1.114) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Bradut Boghita

 -- Christian Perrier <bubulle@debian.org>  Wed, 25 Mar 2015 06:56:09 +0100

grub-installer (1.113) unstable; urgency=low

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Mar 2015 07:01:16 +0100

grub-installer (1.112) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Ukrainian (uk.po) by Anton Gladky
  * Vietnamese (vi.po) by Hai-Nam Nguyen

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Mar 2015 08:00:53 +0100

grub-installer (1.111) unstable; urgency=low

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Feb 2015 08:30:08 +0100

grub-installer (1.110) unstable; urgency=low

  [ Updated translations ]
  * Polish (pl.po) by Michał Kułach

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Feb 2015 06:50:00 +0100

grub-installer (1.109) unstable; urgency=low

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Feb 2015 06:56:31 +0100

grub-installer (1.108) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Feb 2015 07:15:18 +0100

grub-installer (1.107) unstable; urgency=low

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Jan 2015 08:04:08 +0100

grub-installer (1.106) unstable; urgency=low

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Jan 2015 08:18:52 +0100

grub-installer (1.105) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add support for mixed EFI systems: 64-bit Linux running on top of
    32-bit UEFI.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Italian (it.po) by Milo Casagrande

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 Jan 2015 06:55:38 +0100

grub-installer (1.104) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * German (de.po) by Holger Wansing
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Tomislav Krznar
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Ivan Masár
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Wed, 07 Jan 2015 07:07:28 +0100

grub-installer (1.103) unstable; urgency=medium

  * Apply patch by Andrew Patterson (many thanks!) to support setting
    grub-installer/bootdev=default so that the default boot device that
    was determined is used automatically, skipping the prompt
    (Closes: #759737).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 29 Dec 2014 23:20:16 +0100

grub-installer (1.102) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add extra support for forcing installation to the EFI
    removable media path, either during installation (low priority or
    preseeding), or as an extra rescue-mode option to help people fix
    their systems post-install once they realise they need to. (#767037)

 -- Steve McIntyre <93sam@debian.org>  Mon, 01 Dec 2014 02:49:36 +0000

grub-installer (1.101) unstable; urgency=medium

  [ Steve McIntyre ]
  * Recognise the new ignore_uefi flag from partman-efi.

 -- Steve McIntyre <93sam@debian.org>  Mon, 03 Nov 2014 23:31:39 +0000

grub-installer (1.100) unstable; urgency=medium

  [ Colin Watson ]
  * On ppc64el, wipe the PReP partition before installing grub-ieee1275,
    otherwise installations where the PReP partition is not empty and does
    not contain a previous boot loader installation will fail now that
    grub-ieee1275.postinst runs grub-install (LP: #1376973).

 -- Christian Perrier <bubulle@debian.org>  Thu, 09 Oct 2014 07:26:34 +0200

grub-installer (1.99) unstable; urgency=medium

  * Revert using default_bootdev as the default when bootdev is unset (see
    1.98 upload) since it brings back the infamous default-to-/dev/sda
    issue (Closes: #763580). Always asking seems safer until someone does
    the needed work to improve detection.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Oct 2014 05:06:47 +0200

grub-installer (1.98) unstable; urgency=medium

  [ Philip Hands ]
  * use default_bootdev as the default when bootdev is unset,
    with the side-effect of enabling auto-installs to use the
    default without prompting.  Probably closes: #712907
  * move repeated $DEBCONF_DEBUG tests into a debug() function

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2014 06:45:22 +0200

grub-installer (1.97) unstable; urgency=medium

  [ Debian Install System Team ]
  [ Steven Chamberlain]
  * In device_to_disk, recognise /dev/ada[0-9] disk naming on kfreebsd

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Sep 2014 11:32:43 +0200

grub-installer (1.96) unstable; urgency=medium

  * Install grub-arm64-efi on arm64/efi platforms.

 -- Ian Campbell <ijc@debian.org>  Fri, 05 Sep 2014 07:40:00 +0100

grub-installer (1.95) unstable; urgency=medium

  * Add ${shlibs:Depends}, and replace dependency on cdebconf-udeb with
    ${misc:Depends}.
  * Use --set=root rather than --set in GRUB 2 configuration emitted by
    otheros.sh (closes: #650414).
  * Add ppc64el support (closes: #753718).

 -- Colin Watson <cjwatson@debian.org>  Sat, 12 Jul 2014 09:45:43 +0100

grub-installer (1.94) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 15:19:44 +0100

grub-installer (1.93) unstable; urgency=medium

  * Revert 1.92 changes, as unattended installations which do not preseed
    grub-installer/bootdev now fail to install unattended. This thus
    reopens #666974, LP#1012629.
  * Instead check if grub-installer/bootdev was seen, and only then query
    for it's value. Also do so, ahead of the loop that processes
    only_debian and with_other_os, such that grub-installer/bootdev takes
    precedence. Closes: #666974. LP: #1012629.
  * Jenkins which regressed with previous upload, are now back to normal.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Feb 2014 13:41:56 +0000

grub-installer (1.92) unstable; urgency=medium

  * Adapt patch from Guilhem Moulin to always honor
    grub-installer/bootdev, when it was preseeded, instead of insisting on
    automatic detection which may lead to unpredictable results (e.g. use
    a different device, or fail unattended installation). Closes:
    #666974. LP: #1012629.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2014 14:08:07 +0000

grub-installer (1.91) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Dec 2013 18:56:23 +0100

grub-installer (1.90) unstable; urgency=low

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Nov 2013 16:03:05 +0100

grub-installer (1.89) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Sep 2013 07:35:21 +0200

grub-installer (1.88) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Aug 2013 12:24:39 +0200

grub-installer (1.87) unstable; urgency=low

  [ Wouter Verhelst ]
  * Remove $SELF from uploaders

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.
  * Remove obsolete DM-Upload-allowed field.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 12:15:52 +0200

grub-installer (1.86) unstable; urgency=low

  [ Vincent McIntyre ]
  * Support menu selection of GRUB boot disk. Closes: #706112

 -- Cyril Brulebois <kibi@debian.org>  Mon, 29 Apr 2013 13:53:27 +0200

grub-installer (1.85) unstable; urgency=low

  [ Steven Chamberlain ]
  * Revert workaround for #681227, which was actually not a valid bug.
    Closes: #696903, #696942 (regressions introduced by said workaround)

 -- Julien Cristau <jcristau@debian.org>  Thu, 31 Jan 2013 19:54:06 +0100

grub-installer (1.84) unstable; urgency=low

  * Add workaround for #681227. Won't mark it as closed, since I didn't
    find the root cause, but with this at least we can downgrade the
    severity.
  * Apply patch from Arno Töll to fix / on ZFS where /boot isn't.
    Closes: #651720.
  * Add $SELF to uploaders

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Wouter Verhelst <wouter@debian.org>  Sun, 16 Dec 2012 17:28:47 +0100

grub-installer (1.83) unstable; urgency=low

  [ Milan Kupcevic ]
  * Allow grub installation on PowerPC machines if /boot/grub partition
    is present. Closes: #664128
  * Allow grub installation on IBM Power machines. Closes: #691264

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Oct 2012 08:07:35 +0200

grub-installer (1.82) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Hrishikesh K B

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Oct 2012 16:55:53 +0200

grub-installer (1.81) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Galician (gl.po) by Jorge Barreiro
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Oct 2012 18:59:27 +0200

grub-installer (1.80) unstable; urgency=low

  [ Updated translations ]
  * Translations of the debconf template added in 1.79 copied
    from nobootloader for all languages.

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Sep 2012 08:35:59 +0200

grub-installer (1.79) unstable; urgency=low

  [ Colin Watson ]
  * Don't try to use local outside a function.

  [ Steve McIntyre ]
  * Allow grub for amd64/efi and i386/efi, installing grub-efi instead of
    grub-pc.
  * Make sure that we have /sys and /proc mounted in /target in the
    postinst, so that efibootmgr will work ok.
  * Add myself to Uploaders

 -- Steve McIntyre <93sam@debian.org>  Fri, 21 Sep 2012 21:10:46 +0100

grub-installer (1.78ubuntu30) wily; urgency=medium

  * Multipath device names have changed; so since multipath-tools 0.5.0 rather
    than mpath[0-9]+p[0-9]+, they are now named mpath[a-z]+[0-9]+. Fix this so
    grub-installer has a chance of properly installing on multipath devices
    when not using grub-ieee1275.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Oct 2015 14:06:44 +0100

grub-installer (1.78ubuntu29) wily; urgency=medium

  * Properly handle systems on which there may be more than 26 disks, and our
    boot partition meant to be on a disk named [hsv]d[a-z][a-z]. (LP: #1479213)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 14 Sep 2015 20:48:40 -0400

grub-installer (1.78ubuntu28) vivid; urgency=medium

  [ Phillip Susi ]
  * Don't try to mark a partition as active, except on grub-pc.
    This was causing failures for grub-efi (LP: #1303790).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 04 Apr 2015 16:48:58 +0300

grub-installer (1.78ubuntu27) vivid; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * grub-installer: Use 'p' (not '-part') as multipath disk-partition
    separator. This fixes the check of whether the boot file system is on
    multipath (i.e., $disc_offered is a multipath partition). (LP: #1430074)
  * Better handle PReP partitions on ppc64el: (LP: #1415918)
    - prep-bootdev: add '-l' option to list all PReP partitions.  With this,
      it's possible to do more things to select a PReP partition.
    - grub-installer [ppc64el]: bootdev/wipe_bootdev: prefer PReP partition in
      the same disk as the boot file system partition ($disc_offered).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 17 Mar 2015 00:25:13 -0400

grub-installer (1.78ubuntu26) vivid; urgency=medium

  * Revert changes from 1.78ubuntu25:
    * grub_probe(): return a single line in BTRFS multi-disk RAID configurations
      - It breaks bootloader install on LVM. (LP: #1427821)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 10 Mar 2015 15:33:01 -0400

grub-installer (1.78ubuntu25) vivid; urgency=medium

  * grub_probe(): return a single line in BTRFS multi-disk RAID configurations
    (LP: #1354730).

 -- TJ <ubuntu@iam.tj>  Thu, 19 Feb 2015 11:44:43 -0500

grub-installer (1.78ubuntu24) vivid; urgency=medium

  * Install grub-arm64-efi on arm64/efi platforms. (From Debian)

 -- dann frazier <dannf@ubuntu.com>  Tue, 03 Feb 2015 16:45:04 -0700

grub-installer (1.78ubuntu23) utopic; urgency=medium

  * On ppc64el, wipe the PReP partition before installing grub-ieee1275,
    otherwise installations where the PReP partition is not empty and does
    not contain a previous boot loader installation will fail now that
    grub-ieee1275.postinst runs grub-install (LP: #1376973).

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Oct 2014 18:29:15 +0100

grub-installer (1.78ubuntu22) utopic; urgency=medium

  * Handle partitioned /dev/mdNNN devices, installing to the corresponding
    disk instead (LP: #1370368).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Sep 2014 15:50:41 +0100

grub-installer (1.78ubuntu21) utopic; urgency=medium

  * Rebuild against libparted2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Jul 2014 21:43:16 +0100

grub-installer (1.78ubuntu20) trusty; urgency=medium

  * Fall back to grub-pc if there is no /target/boot/efi directory (thanks,
    Phillip Susi; LP: #1302418).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Apr 2014 15:20:05 +0100

grub-installer (1.78ubuntu19) trusty; urgency=medium

  * If grub-installer/bootdev was set to (hd0), override it to the OS device
    name for the first disk if possible (LP: #1292628).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Mar 2014 13:11:31 +0000

grub-installer (1.78ubuntu18) trusty; urgency=medium

  * When wiping the PReP partition on ppc64el/grub-ieee1275, limit the write
    to the size of the partition, otherwise dd fails.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Mar 2014 12:59:07 +0000

grub-installer (1.78ubuntu17) trusty; urgency=medium

  * On ppc64el/grub-ieee1275, wipe the PReP partition before running
    grub-install.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Mar 2014 15:44:21 +0000

grub-installer (1.78ubuntu16) trusty; urgency=low

  [ Dave Chiluk ]
  * Force grub-installer/bootdev to take precedence over only_debian and
    with_other_os. (LP: #1012629)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Feb 2014 17:04:45 +0000

grub-installer (1.78ubuntu15) trusty; urgency=medium

  * Cherrypick 1.92 changes:
    * Adapt patch from Guilhem Moulin to always honor
    grub-installer/bootdev, when it was preseeded, instead of insisting on
    automatic detection which may lead to unpredictable results (e.g. use
    a different device, or fail unattended installation). Closes:
    #666974. LP: #1012629.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2014 16:43:41 +0000

grub-installer (1.78ubuntu14) trusty; urgency=medium

  * Only look for the prep flag, not boot as well; these appear to be
    mutually exclusive on GPT.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Jan 2014 15:16:35 +0000

grub-installer (1.78ubuntu13) trusty; urgency=medium

  * Fix ppc64el detection in boot device hack.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Jan 2014 14:33:11 +0000

grub-installer (1.78ubuntu12) trusty; urgency=medium

  * Add a hack to pick the right boot device on ppc64el.  This should really
    be done in grub-install instead, and will need to be done there in order
    to support major GRUB upgrades properly, but this will tide us over for
    now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Jan 2014 12:50:09 +0000

grub-installer (1.78ubuntu11) trusty; urgency=medium

  * Add ppc64el support.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Jan 2014 17:11:23 +0000

grub-installer (1.78ubuntu10) trusty; urgency=medium

  * Handle NVMe devices, based on the debug logs from Colin
    King. Preliminary support (LP: #1265483)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Jan 2014 10:28:09 +0000

grub-installer (1.78ubuntu9) trusty; urgency=low

  * Handle FusionIO devices, based on work by Igor Sharovar (LP: #1237519).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Nov 2013 16:50:04 +0000

grub-installer (1.78ubuntu8) saucy; urgency=low

  * Always use grub-efi-amd64-signed on 64bit UEFI systems instead of
    relying on SecureBoot detection. (LP: #1184297)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Jul 2013 15:41:07 -0400

grub-installer (1.78ubuntu7) saucy; urgency=low

  * update_grub() used a variable called $update_grub, change name
    to $update_grub_cmd to prevent this clash.  LP: #1171099

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Jul 2013 13:31:44 +0100

grub-installer (1.78ubuntu6) raring; urgency=low

  * Fix code that transfers user boot parameters into target system to work
    even when grub-pc is already installed, as in the case of installing
    with a live filesystem (LP: #664526).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 14:29:41 +0000

grub-installer (1.78ubuntu5) quantal; urgency=low

  * Ensure appropriate package removals if grub-efi-amd64-signed is
    selected.
  * Remove grub-efi-amd64-signed if grub-efi is selected.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2012 14:22:11 +0100

grub-installer (1.78ubuntu4) quantal; urgency=low

  * If the SecureBoot EFI variable is set, then install
    grub-efi-amd64-signed rather than grub-efi, along with shim-signed if
    available.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 20:50:53 +0100

grub-installer (1.78ubuntu3) quantal; urgency=low

  * Fix incorrect test for whether to bind-mount /sys (LP: #1054323).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Sep 2012 21:37:10 +0100

grub-installer (1.78ubuntu2) quantal; urgency=low

  * Don't try to use local outside a function (LP: #1053317).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2012 13:33:04 +0100

grub-installer (1.78ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot.  (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays.  Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.
    - Remove grub-gfxpayload-lists in situations where we need to remove
      grub-pc.
    - Remove 'quiet' from target system command line if
      debian-installer/quiet is set to false.
    - When /boot is on a loopback device (i.e. Wubi), install GRUB there.
    - Simplify /proc and /sys mounting; make sure they're consistently
      mounted for the entire life of grub-installer, and consistently
      unmounted on exit.
    - Only process the output of os-prober into boot menu entries if we're
      actually going to use them; if we're using GRUB 2 and os-prober is
      installed, then it will deal with this itself and do a better job of
      it.
  * Drop grub-installer/bootdev_directory preseeding.  Wubi no longer uses
    this, and we no longer care about grub4dos.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2012 10:17:29 +0100

grub-installer (1.78) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Aug 2012 08:33:09 +0200

grub-installer (1.77) unstable; urgency=low

  [ Cyril Brulebois ]
  * Apply patch from Mike Miller to fix the syntax error in the
    linprocfs/kFreeBSD code (Closes: #683867). Many thanks for the
    tested patch!

  [ Christian Perrier ]
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 10:59:40 +0200

grub-installer (1.76) unstable; urgency=low

  [ Joey Hess ]
  * Fix /proc mounting code to use linprocfs on kFreeBSD. Closes: #613430
  * Remove code that relies on target fstab containing /proc, which it no
    longer does. Closes: #637684

  [ Updated translations ]
  * Irish (ga.po) by Kevin Patrick Scannell

 -- Julien Cristau <jcristau@debian.org>  Fri, 03 Aug 2012 09:43:34 +0200

grub-installer (1.75) unstable; urgency=high

  * Team upload.
  * Make sure /proc is mounted in $ROOT (usually: /target) so that grub
    can find all needed bits, like RAID and LVM stuff through /proc/devices
    (Closes: #662086).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 11 Jul 2012 15:28:45 +0200

grub-installer (1.74) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Jun 2012 00:41:26 +0200

grub-installer (1.73) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Jun 2012 18:45:34 +0200

grub-installer (1.72) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 11:25:29 +0200

grub-installer (1.71) unstable; urgency=low

  * Team upload
  * Replace XC-package-Type by Package-Type

  [ Jeremie Koenig ]
  * Work around the unavailability of /proc/mounts on Hurd.

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Danish (da.po) by Joe Hansen
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Timo Jyrinki
  * Galician (gl.po) by Jorge Barreiro
  * Hungarian (hu.po) by SZERVÁC Attila
  * Icelandic (is.po) by Sveinn í Felli
  * Lao (lo.po) by Anousak Souphavanh
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovenian (sl.po) by Vanja Cvelbar
  * Vietnamese (vi.po) by Hai-Nam Nguyen
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 19:04:26 +0200

grub-installer (1.70) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Ayesha Akhtar
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Joe Hansen
  * Greek (el.po) by galaxico
  * Estonian (et.po) by Mattias Põldaru
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Italian (it.po) by Milo Casagrande
  * Khmer (km.po) by Khoem Sokhem
  * Kannada (kn.po) by Prabodh C P
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Serbian (sr.po) by Karolina Kalic
  * Turkish (tr.po) by Mert Dirik

 -- Otavio Salvador <otavio@debian.org>  Thu, 15 Mar 2012 14:44:37 -0300

grub-installer (1.69) unstable; urgency=low

  [ Joey Hess ]
  * Simplify grub package selection code.
  * Don't allow using GRUB legacy when booting from btrfs.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by Behrad Eslamifar
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Khmer (km.po) by Chan Sambathratanak
  * Kannada (kn.po) by vignesh prabhu
  * Marathi (mr.po) by sampada
  * Polish (pl.po) by Marcin Owsiany
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Martin Bagge / brother
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Sat, 19 Nov 2011 16:33:12 -0200

grub-installer (1.68ubuntu5) precise; urgency=low

  * Update Linux Mint-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 11:43:22 +0100

grub-installer (1.68ubuntu4) oneiric; urgency=low

  * Remove spurious newline from debian/po/bs.po, fixing ubiquity FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Sep 2011 18:04:42 -0600

grub-installer (1.68ubuntu3) oneiric; urgency=low

  * Only process the output of os-prober into boot menu entries if we're
    actually going to use them; if we're using GRUB 2 and os-prober is
    installed, then it will deal with this itself and do a better job of it
    (LP: #851704).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Sep 2011 09:00:21 +0100

grub-installer (1.68ubuntu2) oneiric; urgency=low

  * Really allow grub/grub2 choice for ext4 (lost in merge).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 21:44:55 +0100

grub-installer (1.68ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian (preseeding change in 1.68 fixes LP: #857548).
    Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.
    - Remove grub-gfxpayload-lists in situations where we need to remove
      grub-pc.
    - Remove 'quiet' from target system command line if
      debian-installer/quiet is set to false.
    - When /boot is on a loopback device (i.e. Wubi), install GRUB there.
  * Simplify /proc and /sys mounting; make sure they're consistently mounted
    for the entire life of grub-installer, and consistently unmounted on
    exit (LP: #851704).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 21:29:13 +0100

grub-installer (1.68) unstable; urgency=low

  [ Matt Kraai ]
  * Write boot.cfg to /boot if using a separate /boot partition (closes:
    #637792).

  [ Colin Watson ]
  * Restore the ability to choose to install GRUB Legacy by preseeding
    (grub-installer/grub2_instead_of_grub_legacy=false), removed in 1.60 as
    a side-effect of removing a warning message.  This is still useful e.g.
    when installing inside Xen.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Besirovic
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Ioan Eugen Stan
  * Russian (ru.po) by Yuri Kozlov
  * Sinhala (si.po) by Danishka Navin
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Borys Yanovych
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Sep 2011 10:19:09 +0100

grub-installer (1.67) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Basque (eu.po)
  * French (fr.po) by Christian Perrier

 -- Christian Perrier <bubulle@debian.org>  Fri, 05 Aug 2011 09:49:45 +0200

grub-installer (1.66) unstable; urgency=low

  [ Colin Watson ]
  * Update grub-installer/bootdev text to avoid GRUB device naming that
    changed between GRUB Legacy and GRUB 2, and to use libata-style device
    naming since that is more accurate for most people (closes: #576309).
  * Unless grub-installer/make_active is preseeded to false, mark the
    partition to which GRUB is being installed as bootable, or failing that
    the first available primary partition on the disk to which GRUB is being
    installed (closes: #635968).

  [ Otavio Salvador ]
  * debian/control: build-depends on libparted-dev

  [ Updated translations ]
  * Basque (eu.po)
  * Hebrew (he.po) by Lior Kaplan
  * Macedonian (mk.po) by Arangel Angov
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Sun, 31 Jul 2011 01:42:48 +0200

grub-installer (1.65) unstable; urgency=low

  * Add mipsel/loongson-2f support, covering the Lemote YeeLoong (closes:
    #622704).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jun 2011 23:13:40 +0100

grub-installer (1.64ubuntu3) oneiric; urgency=low

  * When /boot is on a loopback device (i.e. Wubi), install GRUB there.
    This was always done the next time grub-install was run, but by mistake
    wasn't done at initial installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jun 2011 12:41:24 +0100

grub-installer (1.64ubuntu2) oneiric; urgency=low

  * Remove 'quiet' from target system command line if debian-installer/quiet
    is set to false.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 May 2011 10:04:38 +0100

grub-installer (1.64ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - Bind-mount /proc and /sys while running grub-install.
    - Update grub-installer/bootdev text to avoid GRUB device naming that
      changed between GRUB Legacy and GRUB 2, and to use libata-style device
      naming since that is more accurate for most people.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Don't ask for a boot device on EFI, and don't pass a boot device
      argument to grub-install.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.
    - Remove grub-gfxpayload-lists in situations where we need to remove
      grub-pc.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2011 11:25:04 +0100

grub-installer (1.64) unstable; urgency=low

  * Ensure that /boot/zfs exists in the target before copying zpool.cache to
    it.
  * Purge grub-pc-bin as well as grub-pc if GRUB Legacy is to be used,
    anticipating changes to the grub2 source package.

  [ Updated translations ]
  * Asturian (ast.po) by MAAC
  * Italian (it.po) by Milo Casagrande

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 May 2011 23:53:15 +0100

grub-installer (1.63) unstable; urgency=low

  * Team Upload

  [ Samuel Thibault ]
  * grub-installer: Handle Mach serial device name.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Georgian (ka.po) by Aiet Kolkhi
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by sampada
  * Nepali (ne.po)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uyghur (ug.po) by Sahran
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Apr 2011 09:26:39 +0200

grub-installer (1.62) unstable; urgency=low

  * Team upload
  * Upload to resync translations

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Feb 2011 20:24:57 +0100

grub-installer (1.61) unstable; urgency=low

  [ Jeremie Koenig ]
  * Add the Hurd hard disk devices to the $disc_offered_devfs regexp and
    switch cases.
  * Add grub_package="grub-pc" on Hurd, and add a default case for the
    sake of future porters.

  [ Christian Perrier ]
  * Make "grub-installer/grub_not_mature_on_this_platform" translatable

  [ Colin Watson ]
  * If the first disk has neither a partition table nor a filesystem, don't
    try to install to it as grub-setup will refuse (LP: #711830).

  [ Otavio Salvador ]
  * Set debconf title to avoid reusing a previous one.

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Mon, 14 Feb 2011 09:51:11 -0200

grub-installer (1.60ubuntu3) natty; urgency=low

  * Remove grub-gfxpayload-lists in situations where we need to remove
    grub-pc (LP: #765270).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2011 21:47:46 +0100

grub-installer (1.60ubuntu2) natty; urgency=low

  * Fix reference to Debian in Norwegian Bokmål translation (LP: #718236).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Mar 2011 16:34:39 +0000

grub-installer (1.60ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - Bind-mount /proc and /sys while running grub-install.
    - Update grub-installer/bootdev text to avoid GRUB device naming that
      changed between GRUB Legacy and GRUB 2, and to use libata-style device
      naming since that is more accurate for most people.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Don't ask for a boot device on EFI, and don't pass a boot device
      argument to grub-install.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.
  * If the first disk has neither a partition table nor a filesystem, don't
    try to install to it as grub-setup will refuse (LP: #711830).
  * Canonicalise device names printed by 'mdadm --detail' (LP: #695842).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Feb 2011 14:05:10 +0000

grub-installer (1.60) unstable; urgency=low

  * Drop warning about GRUB 2 being experimental. Closes: #610365.

 -- Otavio Salvador <otavio@debian.org>  Mon, 17 Jan 2011 21:41:47 -0200

grub-installer (1.59) unstable; urgency=low

  [ Julien Cristau ]
  * Amend changes from 1.57: call device_to_disk on the device mounted as
    cdrom.  Booting from a disk or usb device, that may end up being
    /dev/sda1 instead of /dev/sda, defeating the "we shouldn't install GRUB to
    the installation media" test.  In addition, avoid installing GRUB to the
    device mounted on /hd-media.  Closes: #605562.

  [ Updated translations ]
  * Northern Sami (se.po) by Børre Gaup

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 15 Jan 2011 16:49:51 -0200

grub-installer (1.58) unstable; urgency=low

  [ Christian Perrier ]
  * Change text of examples in debconf templates to fit the new
    partition numbering scheme in GRUB 2. Closes: #581687

  [ Updated translations ]
  * Hindi (hi.po) by Kumar Appaiah
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Lao (lo.po) by Anousak Souphavanh
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Ivan Masár
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:01:42 -0200

grub-installer (1.57ubuntu2) natty; urgency=low

  * Ignore words not beginning with "/dev/" in 'mdadm --detail' output
    (LP: #680751).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Dec 2010 12:35:22 +0000

grub-installer (1.57ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - Bind-mount /proc and /sys while running grub-install.
    - Update grub-installer/bootdev text to avoid GRUB device naming that
      changed between GRUB Legacy and GRUB 2, and to use libata-style device
      naming since that is more accurate for most people.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Don't ask for a boot device on EFI, and don't pass a boot device
      argument to grub-install.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Nov 2010 10:30:59 +0000

grub-installer (1.57) unstable; urgency=low

  * Merge changes from Linux Mint by Evan Dandrea and myself:
    - Set a sensible default boot device, so that we aren't installing GRUB
      to installation media which may be removed later.  The disk containing
      /cdrom is very unlikely to be a sensible default.  If we had to fall
      back to (hd0), then we can't tell exactly which disk that is, but if
      /cdrom seems to be a USB stick then (hd0) may not be safe.  If we hit
      either of those checks, then try the disk containing /boot instead
      (closes: #568529).

  [ Updated translations ]
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Nov 2010 15:27:33 +0000

grub-installer (1.56ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - Bind-mount /proc and /sys while running grub-install.
    - Update grub-installer/bootdev text to avoid GRUB device naming that
      changed between GRUB Legacy and GRUB 2, and to use libata-style device
      naming since that is more accurate for most people.
    - On i386/efi and amd64/efi subarchitectures, install grub-efi and purge
      grub, grub-legacy, and grub-pc; elsewhere, purge grub-efi*.
    - Don't ask for a boot device on EFI, and don't pass a boot device
      argument to grub-install.
    - Add a preseedable grub-installer/timeout template to adjust the
      initial GRUB timeout.
    - Install GRUB to the SATA RAID or multipath device when /boot is on
      such a device, rather than installing to the first hard disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 11:33:47 +0000

grub-installer (1.56) unstable; urgency=low

  [ Otavio Salvador ]
  * Use '$grub_version' instead of '$grub_package' to choose the chain
    writting code.

  [ Colin Watson ]
  * Run update-grub within in-target so that /target/proc and /target/sys
    are mounted, fixing OS detection (closes: #560027, #567980, #593460).

  [ Robert Millan ]
  * ZFS support (Closes: #595152).

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Anders Jenbo
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn í Felli

 -- Robert Millan <rmh@debian.org>  Wed, 10 Nov 2010 01:04:15 +0100

grub-installer (1.55ubuntu4) maverick; urgency=low

  * Install GRUB to the SATA RAID or multipath device when /boot is on such
    a device, rather than installing to the first hard disk (LP: #603854).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Oct 2010 21:57:05 +0100

grub-installer (1.55ubuntu3) maverick; urgency=low

  * Purge grub-efi* when $grub_package is grub or grub-pc, and purge grub,
    grub-legacy, and grub-pc when $grub_package is grub-efi (LP: #632642).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Sep 2010 10:29:51 +0100

grub-installer (1.55ubuntu2) maverick; urgency=low

  [ Soren Hansen ]
  * Add a preseedable grub-installer/timeout template to adjust the initial
    GRUB timeout (LP: #628418).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Sep 2010 12:07:05 +0100

grub-installer (1.55ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Remove splash boot parameter unless debian-installer/framebuffer=true
      and debian-installer/splash=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - Mount /target/sys when running update-grub.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
    - Bind-mount /proc and /sys while running grub-install.
    - Update grub-installer/bootdev text to avoid GRUB device naming that
      changed between GRUB Legacy and GRUB 2, and to use libata-style device
      naming since that is more accurate for most people.
    - Install grub-efi on i386/efi and amd64/efi subarchitectures.
  * Don't ask for a boot device on EFI, and don't pass a boot device
    argument to grub-install.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Sep 2010 10:54:21 +0100

grub-installer (1.55) unstable; urgency=low

  [ Aurelien Jarno ]
  * Allow booting on ext2fs or xfs partition using grub-pc (for 
    GNU/kFreeBSD).
 
  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Serbian (sr.po) by Karolina Kalic

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 00:30:49 +0200

grub-installer (1.54) unstable; urgency=low

  * Only set postinst_hook and postrm_hook in /etc/kernel-img.conf if
    /etc/kernel/postinst.d/zz-update-grub does not exist.

  [ Updated translations ]
  * Persian (fa.po) by Ebrahim Byagowi
  * Finnish (fi.po) by Esko Arajärvi
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Janos Guljas
  * Serbian Latin (sr@latin.po) by Karolina Kalic

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Aug 2010 06:59:23 +0100

grub-installer (1.53) unstable; urgency=low

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 18:20:11 +0200

grub-installer (1.52) unstable; urgency=low

  * Merge from Linux Mint:
    - Resolve symlinks in default boot device.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Macedonian (mk.po) by Arangel Angov
  * Ukrainian (uk.po) by Borys Yanovych

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Jul 2010 13:17:03 +0100

grub-installer (1.51) unstable; urgency=low

  * Merge from Linux Mint:
    - Use grub-probe to convert device names rather than relying on
      device.map.
    - Use an appropriate OS device name rather than (hd0) if possible.
    - Convert device names to by-id form before preseeding
      grub-pc/install_devices.  This is important now that grub-pc migrates
      to this on upgrades to 1.98+20100702-1, but not after that.
    - Preseed grub-pc/install_devices_empty while installing grub-pc, since
      we deliberately defer calling grub-install until a later point.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Persian (fa.po) by acathur
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Central Khmer (km.po) by Khoem Sokhem
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Romanian (ro.po) by ioan-eugen stan
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Jul 2010 23:10:54 +0100

grub-installer (1.50) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the discontinued lpia architecture.

  [ Colin Watson ]
  * Fix serial console handling for grub2.
  * Fix a hardcoded use of /target.

  [ Frans Pop ]
  * Don't install Recommends with grub-legacy to avoid pulling in os-prober
    (through grub-common) as D-I takes care of creating entries for other
    operating systems.
  * Don't explicitly install os-prober with grub-pc. Leave it to be pulled
    in automatically based on the global setting for installing Recommends.
  * Fix incorrect call to dpkg --compare-versions when grub-legacy is installed.

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Italian (it.po) by Milo Casagrande
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Otavio Salvador <otavio@debian.org>  Mon, 22 Feb 2010 00:04:48 -0300

grub-installer (1.49ubuntu12) maverick; urgency=low

  * Install grub-efi on i386/efi and amd64/efi subarchitectures.
  * Resolve symlinks in default boot device (LP: #602758).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jul 2010 13:03:01 +0100

grub-installer (1.49ubuntu11) lucid; urgency=low

  * 'nosplash' doesn't work because it isn't passed through by user-params.
    Use debian-installer/splash=false for this behaviour instead
    (LP: #548954).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Apr 2010 13:26:16 +0100

grub-installer (1.49ubuntu10) lucid; urgency=low

  * Historically, Linux Mint's default behaviour in the absence of command-line
    arguments to the installer has been to pass 'splash' to the installed
    system so that it gets a splash screen (and similarly 'quiet').  There's
    some argument that this behaviour should require passing 'splash' to the
    installer as well, but it's too late in the Lucid cycle for this change.
    Nevertheless, we need a way to configure images such that they don't get
    'splash' in the installed system, so introduce a 'nosplash' argument
    which inhibits this, for use by the server CD (LP: #548954).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Apr 2010 23:44:48 +0100

grub-installer (1.49ubuntu9) lucid; urgency=low

  * Ask grub-installer/only_debian at high priority again (LP: #47135).
    Originally, in Warty, we ensured that this question wouldn't be visible
    by default to support simple installations of Linux Mint with as few
    questions as possible.  However, since then, we wrote Ubiquity, which
    has taken over responsibility for the simple installation case, and it's
    become clear that automatically installing GRUB to the first disk's MBR
    is inadequate for many more complex situations.  Ironically, Ubiquity
    makes this option easily accessible from the "Advanced" dialog box, but
    Linux Mint's d-i required a special boot parameter to display it.
  * Update grub-installer/bootdev text to avoid GRUB device naming that
    changed between GRUB Legacy and GRUB 2, and to use libata-style device
    naming since that is more accurate for most people (LP: #391775)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Mar 2010 11:34:43 +0000

grub-installer (1.49ubuntu8) lucid; urgency=low

  * Bind-mount /proc and /sys while running grub-install (LP: #527210).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Mar 2010 21:33:27 +0000

grub-installer (1.49ubuntu7) lucid; urgency=low

  * Fix GPT detection to account for changed fdisk output (LP: #538100).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Mar 2010 10:00:46 +0000

grub-installer (1.49ubuntu6) lucid; urgency=low

  * Fix partition offset handling for GRUB Legacy.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 11:29:05 +0000

grub-installer (1.49ubuntu5) lucid; urgency=low

  [ Joel Ebel ]
  * Add missing $serial to get proper detection of serial console options
    working.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 19 Feb 2010 17:41:03 -0500

grub-installer (1.49ubuntu4) lucid; urgency=low

  * Preseed grub-pc/install_devices_empty while installing grub-pc, since we
    deliberately defer calling grub-install until a later point.  Thanks to
    Dustin Kirkland for debugging assistance.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Feb 2010 12:24:22 -0800

grub-installer (1.49ubuntu3) lucid; urgency=low

  * Add $partition_offset to $bootpart when deciding which partition to make
    active based on GRUB-style device names (found while testing fix for LP
    #185878).
  * Use grub-probe to convert device names rather than relying on
    device.map.
  * Only add removable devices to device.map if using GRUB Legacy.
  * Use an appropriate OS device name rather than (hd0) if possible.
  * When installing from a non-CD medium, we only need to reset the default
    boot device if we would otherwise end up installing GRUB to the
    installation medium.
  * Convert device names to by-id form before preseeding
    grub-pc/install_devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Feb 2010 17:08:02 -0800

grub-installer (1.49ubuntu2) lucid; urgency=low

  * Don't check for LVM when we've already worked out that we're installing
    on SATA RAID.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jan 2010 19:04:14 +0000

grub-installer (1.49ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - Mount /target/sys when running update-grub.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.
  * GRUB 2 now supports installation on SATA RAID and multipath.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jan 2010 15:58:21 +0000

grub-installer (1.49) unstable; urgency=low

  * Merge from Linux Mint:
    - Preseed grub-pc/install_devices based on grub-installer/bootdev.
      (Closes: 556738)

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 23 Nov 2009 23:44:19 +0100

grub-installer (1.48) unstable; urgency=low

  [ Felix Zielcke ]
  * Fix the generated GNU/Hurd menuentry in case os-prober doestn't get
    installed. Patch by Samuel Thibault <sthibault@debian.org>
    (Closes: #552409)

  [ Frans Pop ]
  * Make <back up> work from legacy and maturity dialogs.

  [ Colin Watson ]
  * Check for $ROOT/etc/mtab in update_mtab, not /etc/mtab (LP: #484832).
  * Use GRUB Legacy on multipath disks for now (works around #442382 et al).

  [ Updated translations ]
  * Galician (gl.po) by Marce Villarino

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Nov 2009 21:12:00 +0000

grub-installer (1.47ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - Preseed grub-pc/install_devices based on grub-installer/bootdev.
    - If /boot is on an MD device and we're using GRUB 2, install GRUB there
      rather than (hd0); GRUB 2 will interpret that as meaning that it needs
      to install to each of the RAID members.
    - Always use GRUB Legacy when /boot is on a multipath device.
    - Mount /target/sys when running update-grub.
    - If using GRUB 2 and installing to a RAID device any of whose
      components are partitions, then default to installing to the MBRs of
      each of the containing disks, since GRUB 2 will refuse to install to
      the partition devices.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Nov 2009 16:49:33 +0000

grub-installer (1.47) unstable; urgency=low

  [ Colin Watson ]
  * By request of grub2's Debian maintainers, pass --force to grub-install
    when using GRUB 2, in order to override the warning about using
    blocklists in the event that the user selected an installation location
    that requires them.
  * Fix typo in fallback case when computing $disc_offered_devfs.

 -- Felix Zielcke <fzielcke@z-51.de>  Fri, 16 Oct 2009 21:37:43 +0200

grub-installer (1.46) unstable; urgency=low

  [ Colin Watson ]
  * grub_write_divider is specific to GRUB Legacy; don't call it for GRUB 2.

  [ Felix Zielcke ]
  * Merge from Linux Mint:
    - Explicitly install os-prober when using GRUB 2, since it does a better
      job than the otheros script.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 29 Sep 2009 19:24:39 +0200

grub-installer (1.45) unstable; urgency=low

  [ Colin Watson ]
  * Fix some hardcoded uses of /target.

  [ Felix Zielcke ]
  * Install GRUB 2 by default.

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 21 Sep 2009 23:21:05 +0200

grub-installer (1.44) unstable; urgency=low

  * Try installing `grub-legacy' first before `grub' in case GRUB Legacy
    has to be installed.
  * Remove Robert Millan from Uploaders with his permission.

 -- Felix Zielcke <fzielcke@z-51.de>  Mon, 21 Sep 2009 11:20:05 +0200

grub-installer (1.43ubuntu8) karmic; urgency=low

  * If using GRUB 2 and installing to a RAID device any of whose components
    are partitions, then default to installing to the MBRs of each of the
    containing disks, since GRUB 2 will refuse to install to the partition
    devices (LP: #457687).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Oct 2009 22:02:19 +0100

grub-installer (1.43ubuntu7) karmic; urgency=low

  * Mount /target/sys when running update-grub (LP: #456776).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Oct 2009 14:08:00 +0100

grub-installer (1.43ubuntu6) karmic; urgency=low

  * Always use GRUB Legacy when /boot is on a multipath device.
  * If /boot is on SATA RAID or multipath, don't ask a question to which
    there's only one acceptable answer and the other causes grub-installer
    to fall over (LP: #452118).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Oct 2009 15:14:54 +0100

grub-installer (1.43ubuntu5) karmic; urgency=low

  * Fix mishandling of loop variable that caused the semi-manual
    dmraid/multipath/mdadm handling to fire even for disks that don't need
    it (LP: #444583).
  * Never use the semi-manual GRUB setup code for GRUB 2, since it won't
    work anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 16:13:02 +0100

grub-installer (1.43ubuntu4) karmic; urgency=low

  * Fix typo in fallback case when computing $disc_offered_devfs.
  * If /boot is on an MD device and we're using GRUB 2, install GRUB there
    rather than (hd0); GRUB 2 will interpret that as meaning that it needs
    to install to each of the RAID members (LP: #427048).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2009 15:22:33 +0100

grub-installer (1.43ubuntu3) karmic; urgency=low

  * Fix some hardcoded uses of /target.
  * grub_write_divider is specific to GRUB Legacy; don't call it for GRUB 2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Sep 2009 15:15:33 +0100

grub-installer (1.43ubuntu2) karmic; urgency=low

  * Explicitly install os-prober when using GRUB 2, since it does a better
    job than the otheros script (LP: #433259).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Sep 2009 12:28:32 +0100

grub-installer (1.43ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map (for GRUB Legacy only);
      it also hides the menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
    - Preseed grub-pc/install_devices based on grub-installer/bootdev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Sep 2009 06:56:30 +0100

grub-installer (1.43) unstable; urgency=low

  [ Felix Zielcke ]
  * Also purge grub-legacy when switching from grub-pc to grub.

  [ Colin Watson ]
  * Cope with Windows 7 in os-prober output.

  [ Updated translations ]
  * Estonian (et.po) by Mattias Põldaru

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Sep 2009 14:02:40 +0100

grub-installer (1.42ubuntu2) karmic; urgency=low

  * Preseed grub-pc/install_devices based on grub-installer/bootdev (LP:
    #420604).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Sep 2009 13:56:22 +0100

grub-installer (1.42ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
  * Restrict code to generate device.map for loop installations to GRUB
    Legacy (LP: #421873).
  * Fix said code to run grub chrooted into /target.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Sep 2009 13:50:59 +0100

grub-installer (1.42) unstable; urgency=low

  [ Felix Zielcke ]
  * Check that /etc/kernel-img.conf exists before running sed over it.

  [ Colin Watson ]
  * Don't create /etc/grub.d/30_otheros if os-prober is already installed
    for grub2 to use (LP: #419044).
  * Pass user parameters to grub2 (closes: #470894).
  * Add myself to Uploaders.

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Sep 2009 13:03:09 +0100

grub-installer (1.41) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Linux Mint:
    - Add support for Linux Mint's lpia architecture ("Low-Power Intel
      Architecture").
  * Upgrade to debhelper v7.

  [ Felix Zielcke ]
  * Add support for /dev/rs/c[0-9]d[0-9] style devices.

  [ Luca Favatella ]
  * Add support for /dev/ad[0-9] and /dev/da[0-9] style devices (for 
    GNU/kFreeBSD).
  * Use grub-pc on GNU/kFreeBSD.

  [ Aurelien Jarno ]
  * Use grub-pc on UFS root filesystem, and don't display the not-mature
    debconf warning in that case.
  * Don't try to update /target/etc/mtab if it is already a symlink.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Italian (it.po) by Milo Casagrande

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Aug 2009 22:32:20 +0200

grub-installer (1.40ubuntu2) karmic; urgency=low

  * Handle showing the menu and raising the timeout for grub2 if other
    operating systems are installed, since grub2 now hides the menu by
    default.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Aug 2009 13:13:34 +0100

grub-installer (1.40ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an GRUB Legacy MBR on each disk in an
      mdadm-managed RAID providing /boot. (GRUB 2 can handle this already.)
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 25 Jul 2009 09:20:12 +0100

grub-installer (1.40) unstable; urgency=low

  * Don't add map/drivemap commands for Windows Vista/7. It breaks
    Windows 7 (LP: #402154).

 -- Felix Zielcke <fzielcke@z-51.de>  Fri, 24 Jul 2009 17:40:08 +0200

grub-installer (1.39ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an MBR on each disk in an mdadm-managed RAID
      providing /boot.
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Go back to using update-grub -y for GRUB Legacy for now; our grub
      package is a bit old and still requires this.
    - Default to grub2 for GPT systems.
    - Allow grub/grub2 choice for ext4, though still default to grub2.
  * If using grub2, then use ordinary grub-install for mdadm-managed RAID
    /boot rather than trying to implement it ourselves.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Jul 2009 12:09:43 +0100

grub-installer (1.39) unstable; urgency=low

  * Merge from Linux Mint:
    - Use rootnoverify rather than root when chain-loading Microsoft
      operating systems using GRUB Legacy, since we may not be able to mount
      the partition (LP: #10661). From my reading of its code, this doesn't
      seem to be necessary with GRUB 2.
  * Extend rescue mode plugin to cope with GRUB 2.
  * Allow /boot on LVM; this forces use of GRUB 2 (LP: #393432).
  * Adjust partition offsets for GRUB 2. Moving to grub-probe would probably
    be better in the long run, but this works for now. See #473401, #502446.
  * Use search --fs-uuid rather than --fs_uuid in otheros.sh (LP: #396587).

 -- Colin Watson <cjwatson@debian.org>  Wed, 08 Jul 2009 15:30:14 +0100

grub-installer (1.38ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed (only for GRUB Legacy right now).
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Handle cases where /boot is bind-mounted.
    - Add support for writing an MBR on each disk in an mdadm-managed RAID
      providing /boot.
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Use rootnoverify rather than root when chain-loading Microsoft
      operating systems.
  * Go back to using update-grub -y for GRUB Legacy for now; our grub
    package is a bit old and still requires this.
  * Default to grub2 for GPT systems.
  * Allow grub/grub2 choice for ext4, though still default to grub2.
  * Drop code to handle error messages in dmraid's output, which is no
    longer needed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jun 2009 02:46:23 +0100

grub-installer (1.38) unstable; urgency=low

  [ Colin Watson ]
  * Make findfs use the last of any mounts found, in case there's more than
    one due to pilot error in the partitioner (LP: #289101).
  * Use grub-ieee1275 on powerpc, not grub-of which no longer exists.

  [ Max Vozeler ]
  * Use grub2 when ext4 is chosen (closes: #529363).

  [ Felix Zielcke ]
  * Change the debhelper compat level to 7 and bump the build
    dependency.
  * Replace deprecated `dh_clean -k' with `dh_prep'.
  * Remove the lintian overrides, they're no longer needed.
  * Use UUIDs in the grub2 generated menuentrys. (Closes: #473401)
  * Add drivemap in the grub2 generated menuentry for DOS/Windows in
    case a recent grub2 gets installed.
  * Don't pass -y to update-grub. grub-legacy in lenny just prints out a
    warning.

  [ Otavio Salvador ]
  * Add Felix Zielcke in uploads field and set DM-Upload-allowed to
    allow him to upload.

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Jun 2009 16:04:27 -0300

grub-installer (1.37ubuntu3) karmic; urgency=low

  * If using GRUB 2, don't try to edit menu.lst to change the timeout (LP:
    #385995). We need to do something with the GRUB 2 timeout, but this is
    blocked on settling on a way for grub-installer to adjust GRUB 2
    configuration in general.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Jun 2009 13:35:20 +0100

grub-installer (1.37ubuntu2) karmic; urgency=low

  * If sfdisk fails to set the first primary partition we try as active, try
    the other primary partitions rather than failing. Don't fail even if
    none of them can be set as active, since the BIOS may not mind anyway
    (LP: #285716).
  * Use GRUB 2 by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Jun 2009 22:05:42 +0100

grub-installer (1.37ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Handle cases where /boot is bind-mounted.
    - Add another guard against calling 'udevadm info' with an empty device
      name.
    - Add support for writing an MBR on each disk in an mdadm-managed RAID
      providing /boot.
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Handle /boot being on a virtio device.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Use rootnoverify rather than root when chain-loading Microsoft
      operating systems.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Clarify why we cannot always default to the device that contains the
      boot partition for grub-installer/bootdev.
    - Handle /dev/mmcblk* in split_device (LP: #348411).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 May 2009 07:40:22 -0700

grub-installer (1.37) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Linux Mint:
    - Check dmraid's exit code rather than parsing its output.
    - cciss and ida logical drive numbers may go up to 15, not just 9.
    - Only check for the boot partition being on dmraid if the user allowed
      us to activate dmraid, to cope with cases where dmraid is misdetected
      (LP: #346001).
  * Don't pass the -y option to update-grub if installing grub2 (closes:
    #526089).

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Dauren Sarsenov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Slovak (sk.po) by Ivan Masár
  * Tagalog (tl.po) by Eric Pareja
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Apr 2009 13:22:34 +0100

grub-installer (1.36ubuntu5) jaunty; urgency=low

  * Handle /dev/mmcblk* in split_device (LP: #348411).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:49:58 +0000

grub-installer (1.36ubuntu4) jaunty; urgency=low

  * cciss and ida logical drive numbers may go up to 15, not just 9.
  * Only check for the boot partition being on dmraid if the user allowed us
    to activate dmraid, to cope with cases where dmraid is misdetected
    (LP: #346001).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Mar 2009 18:26:39 +0000

grub-installer (1.36ubuntu3) jaunty; urgency=low

  [ Evan Dandrea ]
  * Clarify why we cannot always default to the device that contains the
    boot partition for grub-installer/bootdev.

  [ Steve Langasek ]
  * Make grub2 available as an option in expert mode again, restoring the
    Debian behavior.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Mar 2009 00:13:02 -0700

grub-installer (1.36ubuntu2) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Feb 2009 12:42:05 +0000

grub-installer (1.36ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian (XFS change fixes LP: #8058). Remaining
    changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for Wubi. Setting this disables normal grub
      installation, but still generates a device.map; it also hides the
      menu.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.
    - Add another guard against calling 'udevadm info' with an empty device
      name.
    - Add support for writing an MBR on each disk in an mdadm-managed RAID
      providing /boot.
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Handle /boot being on a virtio device.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.
    - Use rootnoverify rather than root when chain-loading Microsoft
      operating systems.
    - 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Jan 2009 13:19:18 +0000

grub-installer (1.36) unstable; urgency=low

  * Allow to install grub when /boot is on XFS. Since version 0.97-47lenny2
    grub supports XFS so it can be installed without hanging grub-installer.

 -- Frans Pop <fjp@debian.org>  Fri, 23 Jan 2009 02:59:03 +0100

grub-installer (1.35ubuntu4) jaunty; urgency=low

  * Fix syntax error in otheros.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 23:52:52 +0000

grub-installer (1.35ubuntu3) jaunty; urgency=low

  * Nail another instance of dmraid output-checking.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:08:56 +0000

grub-installer (1.35ubuntu2) jaunty; urgency=low

  * Hide GRUB menu if grub-installer/bootdev_directory is preseeded; this is
    used in the Wubi case where GRUB is used as a secondary boot loader, and
    so the user already had a chance to boot from another operating system
    (thanks, Agostino Russo; LP: #289791).
  * Use rootnoverify rather than root when chain-loading Microsoft operating
    systems (LP: #10661).
  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:00:39 +0000

grub-installer (1.35ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for installation-from-windows. Setting this disables
      normal grub installation, but still generates a device.map.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.
    - Add another guard against calling 'udevadm info' with an empty device
      name.
    - Add support for writing an MBR on each disk in an mdadm-managed RAID
      providing /boot.
    - Properly make use of output from os-prober to configure the booting of
      other operating systems on dmraid arrays. Attempt to guess where in
      the device map the array belongs, by substituting the first drive in
      the dmraid array for the dmraid array device node itself, and removing
      any reference to other member disks of the array.
    - Add support for lpia.
    - Handle /boot being on a virtio device.
    - Set a sensible default boot device when /cdrom is not iso9660, as this
      is probably a USB install and (hd0) does not make sense when
      installing from a removable disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Nov 2008 00:39:33 +0000

grub-installer (1.35) unstable; urgency=low

  * Add support for MMC/SD card devices (mmcblkX).

 -- Frans Pop <fjp@debian.org>  Mon, 29 Sep 2008 20:31:10 +0200

grub-installer (1.34) unstable; urgency=low

  [ Frans Pop ]
  * Fix up the grub root (groot) in menu.lst for dmraid if it is incorrect.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Marathi (mr.po) by Sampada
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Veselin Mijušković
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:47:51 -0300

grub-installer (1.32ubuntu10) intrepid; urgency=low

  [ Evan Dandrea ]
  * Set a sensible default boot device when /cdrom is not iso9660, as this
    is probably a USB install and (hd0) does not make sense when installing
    from a removable disk (LP: #282037).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Oct 2008 23:08:21 +0100

grub-installer (1.32ubuntu9) intrepid; urgency=low

  * grub4dos can't handle UUIDs, so tweak previous change to continue using
    groot=()/ubuntu/disks in that case (LP: #283520).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2008 11:17:06 +0100

grub-installer (1.32ubuntu8) intrepid; urgency=low

  * Cope with new UUID-style groot when handling
    grub-installer/bootdev_directory (LP: #283520).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2008 09:20:51 +0100

grub-installer (1.32ubuntu7) intrepid; urgency=low

  * grub-installer: if the boot filesystem is on a virtio device, we need to
    null out the $frdisk variable (LP: #281492)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 14 Oct 2008 17:31:47 -0500

grub-installer (1.32ubuntu6) intrepid; urgency=low

  * Add support for lpia (LP: #274781)

 -- Emmet Hikory <persia@ubuntu.com>  Fri, 26 Sep 2008 22:38:21 +0900

grub-installer (1.32ubuntu5) intrepid; urgency=low

  * grub-installer: Properly make use of output from os-prober to configure
    the booting of other operating systems on dmraid arrays. Attempt to
    guess where in the device map the array belongs, by substituting
    the first drive in the dmraid array for the dmraid array device node
    itself, and removing any reference to other member disks of the array.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Sep 2008 23:14:10 +1000

grub-installer (1.32ubuntu4) intrepid; urgency=low

  [ Dustin Kirkland ]
  * grub-installer: fix faulty logic (assumed mutual exclusion of dmraid,
    multipath, and md), (LP: #270758).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 10:31:53 +0100

grub-installer (1.32ubuntu3) intrepid; urgency=low

  [ Dustin Kirkland ]
  * grub-installer: fix broken md device determination (LP: #264533).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 06 Sep 2008 10:44:21 +0100

grub-installer (1.32ubuntu2) intrepid; urgency=low

  [ Colin Watson ]
  * Add another guard against calling 'udevadm info' with an empty device
    name (LP: #30772).

  [ Dustin Kirkland ]
  * grub-installer: add support for writing an MBR on each disk in an
    mdadm-managed RAID providing /boot (LP: #33649)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Aug 2008 19:02:15 +0100

grub-installer (1.32ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Unless grub-installer/make_active is preseeded to false, mark the
      partition to which GRUB is being installed as bootable, or failing
      that the first available primary partition on the disk to which GRUB
      is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for installation-from-windows. Setting this disables
      normal grub installation, but still generates a device.map.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
    - Handle cases where /boot is bind-mounted.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jun 2008 16:45:11 +0100

grub-installer (1.32) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmal (nb.po) by Hans Fredrik Nordhaug
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:00:05 -0300

grub-installer (1.31) unstable; urgency=low

  [ Colin Watson ]
  * Run grub in the chroot for password encryption.
  * Make grub-installer executable again.

  [ Frans Pop ]
  * Apply patch from Ian Campbell to add support for Xen virtual disks.
    Closes: #456784.

  [ James Westby ]
  * Confirm the GRUB password after entry (LP: #42019, closes: #321109).
    Based on earlier patches by Julian Graham and Frans Pop.
    Note that grub-installer/password-again must now be preseeded in addition
    to grub-installer/password, and that grub-installer/password-crypted now
    takes an MD5-crypted password rather than a boolean.

  [ Soren Hansen ]
  * Teach grub-installer about virtio devices (/dev/vd*).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Brar
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Thu, 01 May 2008 10:34:23 +0200

grub-installer (1.30) unstable; urgency=low

  [ Frans Pop ]
  * Correct off-by-one error in SATA RAID sanity checks. Thanks Guido Günther.
  * Add the "quiet" boot parameter only to 'defoptions' and not to 'kopt' so
    that it is not included for "single user" mode. The same could be done for
    other parameters.

  [ Guido Guenther ]
  * Add multipath support modelled after dmraid. Closes: #468832.

  [ Max Vozeler ]
  * Fix serial console setup for console= options that include either a
    word size != 8 or a flow control parameter. Closes: #470951

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Frans Pop <fjp@debian.org>  Wed, 19 Mar 2008 20:59:41 +0100

grub-installer (1.29) unstable; urgency=low

  [ Luke Yelavich ]
  * Pass the correct number of arguments to db_input for
    grub-installer/sataraid-error.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Central Khmer (km.po) by Khoem Sokhem
  * Nepali (ne.po) by Shyam Krishna Bal
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 10:18:11 -0200

grub-installer (1.28) unstable; urgency=low

  [ Colin Watson ]
  * Fix some hardcoding of /target.

  [ Robert Millan ]
  * Replace update-grub with update_grub in a pair of places.
  * Stop aborting on reiserfs/gpt (supported now).
  * Change menu item from 7300 to 7400 so that for PowerPC grub is offered
    after the yaboot bootloader; for x86 it will still be the default as
    lilo and elilo already have higher numbers. Closes: #463765.
  * Set grub-installer as uninstallable for PowerPC subarchitectures other
    than chrp_pegasos.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Bulgarian (bg.po) by Damyan Ivanov
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hungarian (hu.po) by SZERVÁC Attila
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Viesturs Zarins
  * Malayalam (ml.po) by Praveen|പ്രവീണണ്‍ A|എ
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovak (sk.po) by Ivan Masár

 -- Robert Millan <rmh@aybabtu.com>  Mon,  4 Feb 2008 15:31:06 +0100

grub-installer (1.27ubuntu7) hardy; urgency=low

  [ Colin Watson ]
  * Backport from trunk:
    - Run grub in the chroot for password encryption.

  [ James Westby ]
  * Confirm the GRUB password after entry (LP: #42019). Note that
    grub-installer/password-again must now be preseeded in addition to
    grub-installer/password, and that grub-installer/password-crypted now
    takes an MD5-crypted password rather than a boolean.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Apr 2008 01:55:07 +0100

grub-installer (1.27ubuntu6) hardy; urgency=low

  * Added the grub-installer/make_active debconf question.  When
    preseeded false, this will skip the code that marks a partition as
    bootable.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 13 Mar 2008 09:56:02 -0400

grub-installer (1.27ubuntu5) hardy; urgency=low

  * grub-installer: Pass the correct number of arguments to db_input for
    grub-installer/sataraid-error.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Wed, 13 Feb 2008 23:15:50 +1100

grub-installer (1.27ubuntu4) hardy; urgency=low

  * Teach grub-installer about virtio devices (/dev/vd*).

 -- Soren Hansen <soren@ubuntu.com>  Wed, 13 Feb 2008 00:38:04 +0100

grub-installer (1.27ubuntu3) hardy; urgency=low

  * Generate a device.map when bootdev_directory is set (loop
    installations) (LP: #188460).  Thanks Agostino Russo.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 06 Feb 2008 12:22:56 -0500

grub-installer (1.27ubuntu2) hardy; urgency=low

  [ Colin Watson ]
  * udev 117 merged all udev tools into a single binary called udevadm.
    Check for this and use it instead of udevinfo if available.

  [ Evan Dandrea ]
  * Handle cases where /boot is bindmounted (LP: #181658).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 18 Jan 2008 15:41:36 -0500

grub-installer (1.27ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Add user parameters to defoptions rather than kopt, so that they
      aren't used in the recovery mode option.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
    - Mark the partition to which GRUB is being installed as bootable, or
      failing that the first available primary partition on the disk to
      which GRUB is being installed.
    - Support grub-installer/bootdev_directory preseeding to make use of the
      relative path feature of grub4dos, so that we can point grub4dos at
      part of a disk for installation-from-windows. Setting this disables
      normal grub installation.
    - Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
      for now.
  * Adjust Vcs-* headers for Linux Mint.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2007 14:45:05 +0000

grub-installer (1.27) unstable; urgency=low

  [ Romain Perier ]
  * Password was sent in clear-text into menu.lst; use 'grub --batch'
    with md5crypt alternative to correct it. Closes: #442443.

  [ Otavio Salvador ]
  * Add maintainer-script-lacks-debhelper-token to
    source.lintian-overrides.
  * Change grub-installer.install to avoid .svn files on rescue.d dir.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Korean (ko.po) by Sunjae Park
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Albanian (sq.po) by Elian Myftiu
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Otavio Salvador <otavio@debian.org>  Sat, 27 Oct 2007 11:58:04 -0200

grub-installer (1.26) unstable; urgency=low

  [ Joey Hess ]
  * If grub fails to install, display an error message, rather than letting
    the user choose to continue running grub-install, which will then fail
    strangely later.
  * Substitute the name of grub/grub2 into the error message and progress bar
    message.

  [ Frans Pop ]
  * Support multiple disks when devfs device names are used (see #432314).

  [ Christian Perrier ]
  * Fix the consistency of "Serial ATA RAID" vs. "SATA RAID"

  [ Robert Millan ]
  * Misc cleanup improvements that will make it easier for grub-installer to
    be used on non-PC architectures.
  * Add myself to Uploaders.
  * Add initial support for powerpc.  Only pegasos/efika are expected to
    work at this point.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Nabin Gautam
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Robert Millan <rmh@aybabtu.com>  Sun,  9 Sep 2007 16:28:41 +0200

grub-installer (1.25) unstable; urgency=low

  [ Colin Watson ]
  * Only purge the package from grub and grub2 that we aren't using, not both.

  [ Robert Millan ]
  * Switch to grub2 when using GPT.  (Closes: #422370)
  * When installing with GRUB 2, adjust otheros entry writing to the interface
    provided by new update-grub.  (Closes: #423393)
  * When setting up a serial port with GRUB 2, adjust output to the interface
    provided by new update-grub.

  [ Frans Pop ]
  * Fix incorrect detection of SATA RAID devices (dmraid) as LVM volumes.
  * Add support for installing GRUB to a Serial ATA RAID disk. Currently this
    is only possible by using a semi-manual procedure that executes commands
    in the grub command environment (grub-install cannot be used).
    The current implementation assumes that teh SATA RAID disk will be listed
    as the first boot device in the BIOS.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Tshewang Norbu
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Kenshi Muto
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Frans Pop
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po)
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:08:48 +0200

grub-installer (1.24ubuntu4) gutsy; urgency=low

  * Only support grub-installer/grub2_instead_of_grub_legacy by preseeding
    for now, to avoid a prompt (albeit only in expert mode) that won't work
    on our CDs (LP: #138035).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2007 19:27:20 +0100

grub-installer (1.24ubuntu3) gutsy; urgency=low

  * Support grub-installer/bootdev_directory preseeding to make use of the
    relative path feature of grub4dos, so that we can point grub4dos at part
    of a disk for installation-from-windows. Setting this disables normal
    grub installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2007 15:57:47 +0100

grub-installer (1.24ubuntu2) gutsy; urgency=low

  * Mark the partition to which GRUB is being installed as bootable, or
    failing that the first available primary partition on the disk to which
    GRUB is being installed (LP: #14244).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 24 Aug 2007 12:05:09 +0100

grub-installer (1.24ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Add user parameters to defoptions rather than kopt, so that they
      aren't used in the recovery mode option.
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.
  * Only purge the package from grub and grub2 that we aren't using, not
    both.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2007 11:21:09 +0100

grub-installer (1.24) unstable; urgency=low

  * Fix syntax error in grub-installer script.

 -- Frans Pop <fjp@debian.org>  Thu, 12 Apr 2007 16:45:34 +0200

grub-installer (1.23) unstable; urgency=low

  [ Colin Watson ]
  * Drop dependency on dmidecode-udeb and rely on new archdetect support for
    Intel Macs (closes: #413855). Requires libdebian-installer4-udeb 0.51.

  [ Frans Pop ]
  * Enable the option to select grub2 again.
  * Improve code that sets serial console parameters. Closes: #416310.
    Changes based on a patch by Alex Owen.

  [ Joey Hess ]
  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:47:50 -0400

grub-installer (1.22) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 17:53:22 +0100

grub-installer (1.21) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Danish (da.po) by Claus Hindsgaul
  * Hebrew (he.po) by Lior Kaplan
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 17:43:58 +0100

grub-installer (1.20ubuntu3) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 00:34:41 +0000

grub-installer (1.20ubuntu2) feisty; urgency=low

  * Drop dependency on dmidecode-udeb and rely on new archdetect support for
    Intel Macs. Requires libdebian-installer4-udeb 0.47ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jan 2007 13:13:40 +0000

grub-installer (1.20ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Add user parameters to defoptions rather than kopt, so that they
      aren't used in the recovery mode option (closes: Malone #31905).
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 14:03:41 +0000

grub-installer (1.20) unstable; urgency=low

  * Fix serial console support in the grub configuration. Closes: #224641.
    Thanks to Alex Owen for the patch and testing.
  * Some syntax changes to remove the need for temporary files.
  * Fix default for grub-installer/apt-install-failed template.
  * Add myself as uploader.

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Panjabi (pa.po) by A S Alam
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Thu, 30 Nov 2006 15:21:33 +0100

grub-installer (1.19ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Show the grub menu and raise the menu timeout if other operating
      systems are installed.
    - Ask grub-installer/only_debian at medium priority.
    - Remove splash boot parameter unless debian-installer/framebuffer=true.
    - If / or /boot are on a removable device, install GRUB there by
      default.
    - Only mount /target/proc if it isn't already mounted.
    - Add user parameters to defoptions rather than kopt, so that they
      aren't used in the recovery mode option (closes: Malone #31905).
    - Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
      grub-installer to use its default MBR selection method despite there
      being unsupported operating systems on the disk.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Nov 2006 04:55:45 +0000

grub-installer (1.19) unstable; urgency=low

  [ Otavio Salvador ]
  * Remove Standards-Version field from control file.
  * Add Lintian override for standards-version.

  [ Frans Pop ]
  * Split out functions to write the grub menu files from grub-installer as
    it was getting too long and too complicated with support of both grub and
    grub2. grub and grub2 now use separate functions.
  * Disable the option to select grub2 for the Etch release as it was only
    experimental.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Esperanto (eo.po) by Serge Leblanc
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Romanian (ro.po) by Eddy Petrișor
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Thu, 26 Oct 2006 17:07:04 +0200

grub-installer (1.18) unstable; urgency=low

  [ Joey Hess ]
  * Fix mistake in displaying failure message if grub-install run in rescue
    mode fails.

  [ Simon Huggins ]
  * Allow installation to more than one disk if preseeding.

  [ Otavio Salvador ]
  * Apply patch from Robert Millan <rmh@aybabtu.com> to remove hardcoded
    paths from grub-install and update-grub. Closes: #380351
  * Apply patch from Robert Millan <rmh@aybabtu.com> to allow use of grub2
    instead of grub legacy. Closes: 385180

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Thu, 31 Aug 2006 19:10:57 -0300

grub-installer (1.17ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Jun 2006 09:53:03 +0100

grub-installer (1.17) unstable; urgency=low

  [ Otavio Salvador ]
  * Implemented solution discussed with Matthew Garrett
    <mjg59@srcf.ucam.org> in IRC to detect if the boot was made by BIOS in
    Apple Intel based machines and then allow installation using GRUB.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 14:20:16 +0200

grub-installer (1.16) unstable; urgency=low

  [ Colin Watson ]
  * Don't fall over if installing to an XFS root filesystem in
    noninteractive mode.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Northern Sami (se.po) by Børre Gaup

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:15:24 -0400

grub-installer (1.15) unstable; urgency=low

  [ Colin Watson ]
  * Disable grub-installer on Intel-based Macs.

  [ Joey Hess ]
  * Add kfreebsd to arch list. Closes: #363661

  [ Frans Pop ]
  * Remove blockquotes used with tr commands; new busybox no longer supports
    them.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 May 2006 13:31:58 -0400

grub-installer (1.14ubuntu5) dapper; urgency=low

  * Don't fall over if installing to an XFS root filesystem in
    noninteractive mode (closes: Malone #46764).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 28 May 2006 14:43:00 +0100

grub-installer (1.14ubuntu4) dapper; urgency=low

  * Return early from is_removable if the argument isn't a mount point
    (closes: Malone #40100).
  * Support setting OVERRIDE_UNSUPPORTED_OS in the environment to force
    grub-installer to use its default MBR selection method despite there
    being unsupported operating systems on the disk (part of Malone #40131).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Apr 2006 11:26:18 +0100

grub-installer (1.14ubuntu3) dapper; urgency=low

  * Remove espresso-grub package, moved into espresso proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Apr 2006 17:46:49 +0100

grub-installer (1.14ubuntu2) dapper; urgency=low

  * Modify defoptions now in the no-framebuffer case, not nonaltoptions.
  * Add user parameters to defoptions rather than kopt, so that they aren't
    used in the recovery mode option (closes: Malone #31905).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Mar 2006 10:02:29 +0100

grub-installer (1.14ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Backport from trunk:
    - Disable grub-installer on Intel-based Macs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Mar 2006 11:27:37 +0000

grub-installer (1.14) unstable; urgency=low

  * Make sure no .svn directories get included in the package.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Frans Pop <fjp@debian.org>  Sat, 28 Jan 2006 17:13:42 +0100

grub-installer (1.13) unstable; urgency=low

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrişor
  * Slovenian (sl.po) by Jure Cuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Wed, 25 Jan 2006 12:38:06 +0100

grub-installer (1.12ubuntu6) dapper; urgency=low

  * Only mount /proc if it isn't already mounted.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2006 12:18:02 +0000

grub-installer (1.12ubuntu5) dapper; urgency=low

  * Make espresso-grub depend on espresso (yes, this means a circular
    dependency, sorry; closes: Malone #30045).
  * Force grub-installer/bootdev to (hd0) in the event that not all
    installed operating systems are recognised. By definition, you can
    always repair the situation with the live CD you're installing from.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Feb 2006 17:44:39 +0000

grub-installer (1.12ubuntu4) dapper; urgency=low

  * Fix support for putting / on a removable device
    - Make sure to mount /proc before possibly running findfs, since it will
      fail if not
    - Use udevinfo as well as the removable flag file to detect if a device
      is removable or not.  Anything on USB or IEEE1394 is defined as
      removable.
    - Override device.map if installing onto a removable device, since we
      know/hope that it will be BIOS drive 0x80

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri,  3 Feb 2006 18:27:18 +0100

grub-installer (1.12ubuntu3) dapper; urgency=low

  * espresso/grubinstaller.py: Define prepare() instead of overriding
    run_command(). Breaks espresso (<< 0.99.7).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  2 Feb 2006 22:39:30 +0000

grub-installer (1.12ubuntu2) dapper; urgency=low

  * Fix espresso-grub error handling.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  1 Feb 2006 10:54:42 +0000

grub-installer (1.12ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Add an espresso-grub package, providing grub-installer as an Espresso
    module.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jan 2006 14:42:48 +0000

grub-installer (1.12) unstable; urgency=low

  [ Christian Perrier ]
  * Shorten some hard-formatted lines for a better display
    Closes: #286122

  [ Colin Watson ]
  * Move the bulk of the postinst to /usr/bin/grub-installer and
    parameterise all its uses of /target. This makes life easier for
    potential future users of grub-installer in contexts such as live CDs.
  * Remove now-incorrect README, which wasn't exactly very useful to start
    with.
  * Split update_mtab and is_floppy functions out to functions.sh so that
    they can be reused by rescue scripts.
  * Add a rescue script to reinstall grub (requires rescue-mode 0.8).

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po)
  * Norwegian Nynorsk (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Jan 2006 10:10:07 +0000

grub-installer (1.11ubuntu3) dapper; urgency=low

  * Use -f in readlink.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 13 Jan 2006 09:39:38 +0100

grub-installer (1.11ubuntu2) dapper; urgency=low

  * Detect if / or /boot are on a removable device and if so, install grub MBR
    on such device instead of bios (hd0).
    This change will allow users to install for example on a USB stick and
    be able to boot the entire system from it assuming the device doesn't
    change name. This latter issue will be addressed later.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 09 Jan 2006 09:52:04 +0100

grub-installer (1.11ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2005 12:55:15 +0100

grub-installer (1.11) unstable; urgency=low

  * Use grub-setup -y option. This is present in sarge, but not woody so we
    loose woody grub install support now.
  * Use log-output.

  [ Updated translations ]
  * Catalan (ca.po) by Guillem Jover
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Greek Translation Team
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrisor
  * Russian (ru.po) by Yuri Kozlov
  * Slovenian (sl.po) by Jure Čuhalev
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Sep 2005 17:24:36 +0200

grub-installer (1.10) unstable; urgency=low

  * Colin Watson
    - Change "new Debian system" to "new system", and "installation of
      Debian" to "new installation", to reduce branding problems for
      derivatives.
  * Matt Kraai
    - Fix the spelling of "boot loader".

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Estonian (et.po) by Siim Põder
    - Basque (eu.po) by Piarres Beobide
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Arief S Fitrianto
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Slovak (sk.po) by Peter Mann
    - Albanian (sq.po) by Elian Myftiu
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Xhosa (xh.po) by Canonical Ltd
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 17:13:09 +0300

grub-installer (1.09ubuntu2) breezy; urgency=low

  * Remove splash boot parameter unless debian-installer/framebuffer=true
    (Linux Mint #13977).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 14:08:09 +0100

grub-installer (1.09ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  6 Jun 2005 12:09:13 +0100

grub-installer (1.09) unstable; urgency=low

  * Timo Aaltonen, Colin Watson
    - In expert mode, ask for a GRUB password (if left blank, no password is
      set). Provide a grub-installer/password-crypted question which is
      never asked but allows the password to be kept encrypted in preseed
      files. If a password is set, make sure menu.lst isn't world-readable.
  * Christian Perrier
    - Style consistency changes on the GRUB password template
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po)
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Colin Watson <cjwatson@debian.org>  Wed,  1 Jun 2005 01:16:10 +0000

grub-installer (1.08ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 May 2005 14:15:19 +0100

grub-installer (1.08) unstable; urgency=low

  * Joey Hess
    - Since lvdisplay may exit 0 even if run with a non-lvm device (such as
      /dev/discs/disc0/part0, which it knows isn't a lvm device name and
      aborts with an error message, but no failure code due to bug #250906),
      try to make the isinstallable check for /boot on lvm more robust by
      grepping the lvdisplay output for strings that indicate it really found
      a lvm volume.
    - Note that above fix is only needed for lvm1, not the lvm2 used by
      default in d-i.
  * Matt Kraai
    - Fix the spelling of "file system".
  * Colin Watson
    - DOS/Windows can't deal with booting from a non-first hard drive, so,
      if we're asked to install to hd* other than hd0, include suitable
      'map' commands when chain-loading DOS or Windows (closes: #269351).
  * Updated translations:
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Welsh (cy.po) by Dafydd Harries
    - Greek (el.po) by Kostas Papadimas
    - Spanish (es.po) by Enrique Matias Sanchez
    - Basque (eu.po) by Piarres Beobide
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Dominik Zablotny
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Ovidiu Damian
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 May 2005 11:31:43 +0000

grub-installer (1.07.1ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Apr 2005 19:14:26 +1000

grub-installer (1.07.1) unstable; urgency=low

  * Includes substitution variable fixes in translated templates.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - German (de.po) by Dennis Stampfer
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 18:06:47 -0500

grub-installer (1.07ubuntu2) hoary; urgency=low

  * Drop priorities of grub-installer/with_other_os and
    grub-installer/only_debian questions to high (matching Debian) and
    medium respectively.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:52:05 +0000

grub-installer (1.07ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  9 Nov 2004 23:10:20 +0000

grub-installer (1.07) unstable; urgency=low

  * Frans Pop
    - Use proper quoting in get_serial_console function in postinst
      Closes: #279134
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Nov 2004 10:00:50 -0500

grub-installer (1.06ubuntu2) hoary; urgency=low

  * Make sure grub-installer.isinstallable is executable.

 -- Colin Watson <cjwatson@canonical.com>  Thu,  4 Nov 2004 11:42:28 +0000

grub-installer (1.06ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).
  * Update Linux Mint branding.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 12:02:35 +0100

grub-installer (1.06) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Latvian (lv.po) by Aigars Mahinovs
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 15:12:42 -0400

grub-installer (1.05) unstable; urgency=low

  * Joey Hess
    - Call grub-install with --recheck to ensure that it scans for devices
      anew when, for example, it's run a second time and told to install to a
      floppy this time. Closes: #265949
    - Support device notation for floppy drive, not just grub notation.
      Closes: #224636, #252562, #260486
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Debian Indonesia Team
    - Italian (it.po) by Stefano Melchior
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 18:34:50 -0400

grub-installer (1.04) unstable; urgency=low

  * Joey Hess
    - Added a grub-installer/skip template, to let automated installs force
      use of lilo-installer.
  * Christian Perrier
    - reworded the warning about installing GRUB on XFS
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Gallegan (gl.po) by Héctor Fenández López
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Bøkmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 20:56:48 -0400

grub-installer (1.03) unstable; urgency=low

  * Joey Hess
    - grub on xfs still only works sometimes. Make isinstallable script
      reove grub from the menu so lilo will be used, unless the menu is
      displayed, then it is left on the menu for experts to choose.
      Closes: #251526
    - Add a warning message about xfs to let the experts know it may not work.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Sep 2004 15:18:22 -0400

grub-installer (1.02) unstable; urgency=low

  * Colin Watson
    - grub-installer/bootdev must be asked (i.e. critical priority) on the
      code path where unsupported operating systems were found, otherwise if
      you're running at critical priority then bootdev ends up empty and
      grub-installer fails.
  * Christian Perrier
    - rename templates file to grub-installer.templates
    - typo fixed in French translation. Closes: #266307
  * Joey Hess
    - Use the user-params command to get parameters the user manually 
      entered on the command line, and add these into the grub config file.
    - Add an isinstallable script that checks whether /boot is on lvm.
      If so, grub will not be installed, and the installer can skip on to
      lilo.
  * Updated translations: 
    - Arabic (ar.po) by Christian Perrier
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by 
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by 
    - Bøkmal, Norwegian (nb.po) by Debian L10n Norwegian Bokml
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Turkish (tr.po) by Recai Oktaş

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Aug 2004 20:26:23 -0400

grub-installer (1.01) unstable; urgency=low

  * Updated translations: 
    - Persian (fa.po) by Arash Bijanzadeh

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Jul 2004 13:31:21 -0400

grub-installer (1.00) unstable; urgency=low

  * Updated translations: 
    - Arabic (ar.po) by Abdulaziz Al-Arfaj
    - German (de.po) by Dennis Stampfer
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino
    - Persian (fa.po) by Arash Bijanzadeh
    - Italian (it.po) by Stefano Melchior
    - Swedish (sv.po) by Per Olofsson
    - Traditional Chinese (zh_TW.po) by Tetralet
    - Persian (fa.po) by Arash Bijanzadeh

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 19:17:09 -0400

grub-installer (0.52) unstable; urgency=low

  * Don't call shell functions before there are defined. Was this tested at
    all, Josh? Closes: #260136

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jul 2004 16:04:05 -0400

grub-installer (0.51) unstable; urgency=low

  * Joshua Kwan
    - Add ripped-off serial console support from lilo-installer.
      (Closes: #251291)
  * Christian Perrier
    - Rewite the template which was recently rewritten inan attempt to make
      it less messy. Uses and enumeration.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by George Papamichelakis
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Ming Hua

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Jul 2004 14:24:42 -0400

grub-installer (0.50ubuntu6) warty; urgency=low

  * Updated translations:
    - Greek (el.po) by Logiotatidis George

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 14:34:57 +0100

grub-installer (0.50ubuntu5) warty; urgency=low

  * Show the grub menu and raise the menu timeout if other operating systems
    are installed (closes: Linux Mint #993).

 -- Colin Watson <cjwatson@canonical.com>  Mon, 11 Oct 2004 17:55:28 +0100

grub-installer (0.50ubuntu4) warty; urgency=low

  * Backport from Debian (Joey Hess) for Warty #1337:
    - Use the user-params command to get parameters the user manually
      entered on the command line, and add these into the grub config file.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 17:48:40 +0100

grub-installer (0.50ubuntu3) warty; urgency=low

  * Tollef Fog Heen
    - Linux Mint branding.
  * Colin Watson
    - Update most translations.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 16 Aug 2004 17:34:35 +0100

grub-installer (0.50ubuntu2) warty; urgency=low

  * Colin Watson
    - grub-installer/bootdev must be asked (i.e. critical priority) on the
      code path where unsupported operating systems were found, otherwise
      bootdev ends up empty and grub-installer fails.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon,  2 Aug 2004 20:33:55 +0100

grub-installer (0.50ubuntu1) warty; urgency=low

  * Colin Watson
    - Ask grub-installer/with_other_os at critical priority, since it can
      render a previously working system unbootable if Linux doesn't boot
      and os-prober failed to detect your other operating systems.

 -- Colin Watson <cjwatson@flatline.org.uk>  Wed, 21 Jul 2004 15:56:16 +0100

grub-installer (0.50) unstable; urgency=low

  * Re-upload sans changes.

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 15:27:13 -0300

grub-installer (0.49) unstable; urgency=low

  * Christian Perrier
    - Corrected typo in templates. Unfuzzied translations
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by George Papamichelakis
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - Gallegan (gl.po) by Héctor Fernández López
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Stefano Melchior
    - Bøkmal, Norwegian (nb.po) by Knut Yrvin
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Osman Yüksel
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:27:19 -0300

grub-installer (0.48) unstable; urgency=low

  * Joshua Kwan
    - Add amd64 to arch list. Closes: #249360

 -- Joey Hess <joeyh@debian.org>  Mon, 17 May 2004 11:34:36 -0300

grub-installer (0.47) unstable; urgency=low

  * Joey Hess
   - Add a warning about failing to find an existing OS.
   - Add some examples of device specifications.
   - Do not default grub-installer/bootdev to anything; (hd0) is not a good
     default since the user has just chosen NOT to install to the mbr in the
     previous question.
  * Joshua Kwan
   - Add amd64 to Architecture: list. (Closes: #249360)
  * Christian Perrier
   - Added quotes around "/dev/hda2" as well as a missing space in templates
  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Hungarian (hu.po) by VERÓK István
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 16 May 2004 23:41:52 -0700

grub-installer (0.46) unstable; urgency=low

  * Joey Hess
    - If grub is not installed to the MBR, do not use the makeactive
      command for chain-loaded OSes, as that would likely make grub
      inaccessible. Closes: #248509
  * Updated translations: 
    - Spanish (Castilian) (es.po) by Carlos Alberto Martín Edo
    - Basque (eu.po) by Piarres Beobide Egaña
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Joey Hess <joeyh@debian.org>  Thu, 13 May 2004 10:05:10 -0300

grub-installer (0.45) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Spanish (Castilian) (es.po) by Carlos Alberto Martín Edo
    - Japanese (ja.po) by Kenshi Muto
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 13:07:58 -0400

grub-installer (0.44) unstable; urgency=low

  * Joey Hess
    - Don't assume a kernel in /boot is on a different partiton, unless
      the mapped boot partitoin differs from the mapped root partition.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 17:28:18 -0400

grub-installer (0.43) unstable; urgency=low

  * Updated translations: 
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Bokmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 10:58:04 -0400

grub-installer (0.42) unstable; urgency=low

  * Joey Hess
    - Went back to two passes, the grub drives can only be determined after
      grub is installed. Calls linux-os-prober in first pass to detect
      unbootable linux systems.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2004 16:45:03 -0400

grub-installer (0.41) unstable; urgency=low

  * Joey Hess
    - Do linux-os-probe and menu.lst addition creation in a single pass
      before the list is shown to the user Simplifies code and does not
      offer what will not be delivered. Closes: #243765
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Korean (ko.po) by Changwoo Ryu
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Slovak (sk.po) by Peter KLFMANiK Mann

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2004 16:31:22 -0400

grub-installer (0.40) unstable; urgency=low

  * Joey Hess
    - Use result of os-prober to display one of two boolean questions,
      and only prompt for a boot device if the user chooses not to use the
      default.
    - Add support for the Hurd.
    - Fix path in menu.lst to kernel that is on a separate /boot partition.
    - Initrds too, though currently they must be on the same partition as the
      kernel.
    - Clear menu.lst between runs to prevent re-appending detected OSes to it.
    - Allow /dev device names to be specified along with grub style names.
      Devfs or non-devfs, it's all converted.
    - Add sanity check for a bad boot device.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Apr 2004 21:30:06 -0400

grub-installer (0.39) unstable; urgency=low

  * Petter Reinholdtsen
    - Call dh_fixperms in rules to get package buildable even
      if the source directory is setgid.
    - Add some debug logging trying to find out why it fail in Woody.
  * Joey Hess
    - Fix rules file, this package is not arch indep though it contains
      no compiled files.
    - Use debhelper's udeb support.
    - Depend on os-prober, and add stanzas to menu.lst for chainloaded
      operating systems.
      Closes: #229212, #237185, #238293, #240228, #233897, #237185
      Closes: #238293, #240228
    - Use linux-boot-prober to find out how to boot existing linux
      installs, and add them as well.
    - Add a divider in the menu before other linux and other OS entries.
    - Fix a bad grep call in is_floppy.
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Feński
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Apr 2004 21:43:29 -0400

grub-installer (0.38) unstable; urgency=low

  * Joey Hess
    - Test to make sure grub-install supports --no-floppy before using it.
      It does not in stable or Skolelinux.
  * Updated translations: 
    - Hebrew (he.po) by Lior Kaplan
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 13:09:58 -0500

grub-installer (0.37) unstable; urgency=low

  * Joey Hess
    - Pass --no-floppy to grub-install, to avoid long delays/hangs
      probing for floppy disks on some floppy-less systems.
      Closes: #220130, #238449, #239019
    - Add a is_floppy check, which turns off the --no-floppy, in case someone
      types (fd0).
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - German (de.po) by Dennis Stampfer
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Turkish (tr.po) by Osman Yüksel
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Mar 2004 15:38:32 -0500

grub-installer (0.36) unstable; urgency=low

  * Translations:
    - Dennis Stampfer
      - Update German translation (de.po)
    - Russian by Nikolai Prokoschenko
    - Giuseppe Sacco
      - Updated italian translation and notified translator (it.po)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 14 Mar 2004 19:26:04 +0100

grub-installer (0.35) unstable; urgency=low

  * Petter Reinholdtsen
    - Remove Moshe Zadka and Tollef Fog Heen as uploaders.  Neither
      have uploaded this package for months
    - Add Joey Hess as uploader, as he has been doing the upload the
      last few times.
  * Translations:
    - Ognyan Kulev
      - Updated Bulgarian translation (bg.po).
    - Andre Dahlqvist
      - Update Swedish translation (sv.po).
    - Dafydd Harries : Added Welsh translation (cy.po)
    - Jordi Mallach
      - Updated Catalan translation (ca.po)
    
 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 00:03:50 -0500

grub-installer (0.34) unstable; urgency=low

  * Translations:
    - Bartosz Fenski
      - Updated Polish translation (pl.po)
    - Håvard Korsvoll
      - Updated Norwegian, nynorsk (nn.po) translation.
    - Changwoo Ryu
      - Updated Korean translation (ko.po)
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet
      - Updated Traditional Chinese translation (zh_TW.po), by Tetralet
    - Jure Cuhalev
      - Added Slovenian translation (sl.po)
    - Håvard Korsvoll
      - Updated Norwegian, bokmål translation, (nb.po). From Axel Bojer

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 13:29:51 -0500

grub-installer (0.33) unstable; urgency=low

  * Translations
    - Andre Dahlqvist
      - Update Swedish translation (sv.po)
    - Dennis Stampfer
      - Update German translation (de.po)
    - Bart Cornelis
      - Added corrections send by Bastiaan Eeckhoudt (nl.po)
    - Kęstutis Biliūnas
      - Updated Lithuanian translation (lt.po)
    - Javier Fernandez-Sanguino
      - Updated Spanish translation (es.po)
  * Eugen Meshcheryakov : added Ukrainian translation (uk.po)
  * Matt Kraai
    - Kill the progress bar before exiting.
  * Joey Hess
    - Add a dependency on di-utils-mapdevfs.

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Feb 2004 22:08:42 -0500

grub-installer (0.32) unstable; urgency=low

  * Joey Hess
    - Add support for backing up to the main menu.
    - Reword the bootdev question to use less jargon, and to emphasize that
      it overwrites the MBR by default.
    - Ask the bootdev question at high priority, as lilo does with its
      question. This along with the wording clarification should prevent
      accidental unavoidable MBR destruction. Closes: #230502
    - Remove dead defaultbootdev code.
  * Translations
    - Bartosz Fenski
      - Updated Polish (pl) translation.
    - Giuseppe Sacco
      - applied patch for normalizing menus and some italian translation (it.po)
    - h3lios
      - Added Albanian translation (sq.po)
    - Jordi Mallach
      - Update Catalan translation (ca.po).
    - Christian Perrier
      - Update French translation (fr.po).
    - Carlos Z.F. Liu
      - update Simplifed Chinese translation (zh_CN.po)
    - Miroslav Kure
      - Update Czech translation
    - Claus Hindsgaul
      - Update Danish translation.
    - Konstantinos Margaritis
      - Update Greek translation.
    - Kenshi Muto
      - Updated Japanese translation (ja.po)
    - Miguel Figueiredo
      - Updated Portuguese translation (pt.po)
    - Bart Cornelis
      - Updated Dutch (nl.po) translation
    - André Luís Lopes
      - Updated Brazilian Portuguese (pt_BR) translation.

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Feb 2004 14:41:54 -0500

grub-installer (0.31) unstable; urgency=low

  * Matt Kraai
    - If mapdevfs cannot resolve the device name, use the unresolved
      version.
  * Miguel Figueiredo
    - Updated Portuguese translation (pt.po)

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Jan 2004 13:07:39 -0500

grub-installer (0.30) unstable; urgency=low

  * Petter Reinholdtsen
    - Reorder grub and lilo, switching menu item value and making grub
      the default boot loader on i386.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Jan 2004 19:45:52 +0100

grub-installer (0.29) unstable; urgency=low

  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * Nikolai Prokoschenko
    - updated russian translation
   * Christian Perrier
     - Added ellipses to progress texts. Sorry, cannot unfuzzy
       translations, so again work for translators.
     - French translation update
  * Bart Cornelis
     - Updated Dutch (nl.po) translation
  * André Luís Lopes
     - Updated Brazilian Portuguese (pt_BR) translation.
  * Konstantinos Margaritis
    - Updated Greek translation
  * Claus Hindsgaul
    - Update Danish translation.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Miroslav Kure
    - Updated Czech translation
  * Dennis Stampfer
    - Update German translation (de.po)
  * Ming Hua
    - Updated Simplified Chinese translation (zh_CN.po)
  * Andre Dahlqvist
    - Update Swedish translation (sv.po)
  * Peter Mann
    - Update Slovak translation
  * Safir Secerovic
    - Update Bosnian translation (bs.po).

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Jan 2004 20:01:47 -0500

grub-installer (0.28) unstable; urgency=low

  * Miguel Figueiredo
    - Updated Portuguese tranalation (pt.po)
  * Ming Hua
    - Initial Simplified Chinese translation (zh_CN.po)
  * Bart Cornelis
    - Merged Norwegian Nynorsk (nn.po) translation from skolelinux-cvs
  * Kęstutis Biliūnas
    - Updated Lithuanian translation (lt.po).
  * Teófilo Ruiz Suárez
    - Fixed some inconsistencies in Spanish Translation (es.po)
  * Andre Dahlqvist
    - Update Swedish translation (sv.po).
  * Peter Mann
    - Update Slovak translation (sk.po)
  * Ognyan Kulev
    - Updated bulgarian translation (bg.po).
  * Anmar Oueja
    - created and translated to Arabic (ar.po)

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jan 2004 14:44:19 -0500

grub-installer (0.27) unstable; urgency=low

  * Bart Cornelis
    - Merged Norwegian Bokmael (nb.po) from skolelinux-cvs
  * Dennis Stampfer
    - Merged some strings in German translation de.po
  * Giuseppe Sacco
    - Updated the italian translation by Stefano Melchior (it.po)
  * André Luís Lopes
    - Fixed the translation of "Device for boot loader installation:" to
       be consistent between all the udebs it is being used within
       debian-installer.
  * Peter Mann
    - Update Slovak translation
  * André Dahlqvist
    - Added Swedish translation
  * Claus Hindsgaul
    - Update Danish translation.
  * Daniel Costa
    - Initial Portuguese translation (pt.po)

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Dec 2003 19:56:42 -0500

grub-installer (0.26) unstable; urgency=low

  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * Christian Perrier
    - Update French translation.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
    - Apply kernel-img.conf configuration patch. (See Bug#223679)
  * André Luís Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Verok Istvan
    - Initial Hungarian translation
  * Kęstutis Biliūnas
    - Updated Lithuanian translation.
  * Changwoo Ryu
    - Initial Korean translation (ko.po).
  * Claus Hindsgaul
    - Update Danish translation.
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Teófilo Ruiz Suárez
    - Updated Spanish translation (es.po)
    - Switched to UTF-8
  * Alwin Meschede
    - Updated German translation (de.po)
  * Miroslav Kure
    - Updated Czech translation (cs.po)
  * Bart Cornelis
    - Updated Dutch translation (nl.po)
    - Incorporated debian-l10n-dutch review comments into nl.po
  * Steinar H. Gunderson
    - Updated Norwegian translation (nb.po).
  * Ognyan Kulev
    - Added/updated bulgarian translation (bg.po).
  * Giuseppe Sacco
    - Added italian translation (it.po)
  * Jure Cuhalev
    - Added/updated slovenian translation (sl.po).

 -- Bart Cornelis <cobaco@linux.be>  Tue, 23 Dec 2003 17:01:16 +0100

grub-installer (0.25) unstable; urgency=low

  * Peter Mann
    - Initial Slovak translation (sk.po).
  * Claus Hindsgaul
    - Update da (Danish) translation.
  * Ilgiz Kalmetev
    - Initial Russian translation.
  * Konstantinos Margaritis
    - Updated Greek translation (el,po)
  * Safir Šećerović
    - Update Bosnian translation (bs.po)
  * Christian Perrier
    - Improve French translation.
  * Jordi Mallach
    - Update Catalan translation.
  * Kęstutis Biliūnas 
    - Update Lithuanian translation.
  * Joey Hess
    - minor template polish
  * Kenshi Muto
    - Update Japanese translation (ja.po)

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Dec 2003 15:43:32 -0500

grub-installer (0.24) unstable; urgency=low

  * Tommi Vainikainen
    - Update Finnish (fi.po) translation.
  * Petter Reinholdtsen
    - Change priority from optional to standard, to make sure it show up
      in the menu on i386.
    - Undo grub and lilo reorder, switching menu item value.  Joey
      Hess did not dare to make GRUB the default boot loader after all.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  7 Nov 2003 10:30:49 +0100

grub-installer (0.23) unstable; urgency=low

  * Jure Cuhalev
    - Add Slovenian translation. Closes: #218027.
  * Petter Reinholdtsen
    - Update templates.  Patch from Christian Perrier. (Closes: #218209)
    - Reorder grub and lilo, swapping menu item value.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Christian Perrier
    - Update French translation (fr.po)
  * Bart Cornelis
    - Update Dutch translation (nl.po)
  * André Luís Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Safir Secerovic, Amila Akagic
    - Add Bosnian translation (bs.po).
  * Claus Hindsgaul
    - Update da (Danish) translation.
  * Miroslav Kure
    - Update Czech (cs.po) translation.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  4 Nov 2003 23:32:36 +0100

grub-installer (0.22) unstable; urgency=low

  * Claus Hindsgaul
    - Update da (Danish) translation.
  * Denis Barbier
    - Add a comment in templates file to flag the main menu item
  * Christian Perrier
    - Improve French translation.
  * Kęstutis Biliūnas
    - Add Lithuanian translation (lt.po).
  * Tommi Vainikainen
    - Add Finnish (fi.po) translation

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2003 16:23:20 +0200

grub-installer (0.21) unstable; urgency=low

  * Miroslav Kure
    - Initial Czech translation.
  * Petter Reinholdtsen
    - Update nb.po.

 -- Sebastian Ley <ley@debian.org>  Sun, 12 Oct 2003 19:44:44 +0200

grub-installer (0.20) unstable; urgency=low

  * Kenshi Muto
   - Update Japanese po (ja.po)
  * André Luís Lopes
   - Update pt_BR (Brazilian Portuguese) translation.
  * Bart Cornelis
   - Updated dutch translation (nl.po)

 -- Bart Cornelis <cobaco@linux.be>  Wed,  8 Oct 2003 22:17:26 +0200

grub-installer (0.19) unstable; urgency=low

  * Alastair McKinstry
   - Fix UTF-8 brokenness in Changelog
   - Move to Standards-Version: 3.6.1
  * Petter Reinholdtsen
   - Make menu item translatable.
   - Add code to update /target/etc/mtab before running
     grub-install. (Closes: #187135)
   - Update nb.po.
  * Pierre Machard
   - Update French po-debconf translation.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Sep 2003 22:30:44 +0100

grub-installer (0.18) unstable; urgency=low

  * Jordi Mallach:
    - Updated Catalan (ca) translation.
  * Kenshi Muto
    - Update ja.po

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Sep 2003 14:58:03 +0200

grub-installer (0.17) unstable; urgency=low

  * Petter Reinholdtsen
    - Changed charset for el.po file, as it is invalid as UTF-8.  I
      am guessing that it might be ISO-8859-7, and use that in the file
      header.
    - Make sure to stop the progress bar when something goes wrong.
      (Closes: #211076)
  * Kenshi Muto
    - Update Japanese translation (ja.po).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Sep 2003 21:28:50 +0200

grub-installer (0.16) unstable; urgency=low

  * Sebastian Ley
    - Remove isinstallable script. It prevented the menu-entry to be shown
      when grub is not installed in /target. However this will be done by
      grub-installer...
  * Petter Reinholdtsen
    - Added Greek translation (el.po), received from
      George Papamichelakis.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  9 Sep 2003 20:35:43 +0200

grub-installer (0.15) unstable; urgency=low

  * Kenshi Muto
    - Added Japanese translation (ja.po)
  * Matt Kraai
    - Update French translation, from Christian Perrier (closes:
      #207238).

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  5 Sep 2003 23:12:23 +0200

grub-installer (0.14) unstable; urgency=low

  * Bart Cornelis
    - Updated Dutch translation
  * Pierre Machard
    - Update French po-debconf translation
  * Petter Reinholdtsen
    - Change version number schema from X.Y.Z to X.Y.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Aug 2003 16:52:21 +0200

grub-installer (0.0.13) unstable; urgency=low

  * Add a 5-step progress bar to let the user know that something is
    happening.
  * Log some messages to syslog instead of /var/log/messages.
  * Updating nb.po.
  * André Luís Lopes
    - Update Brazilian Portuguese (pt_BR) debconf template translation.
  * Matt Kraai
    - Update Spanish translation, from Carlos Valdivia Yagüe.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Jul 2003 15:40:19 +0200

grub-installer (0.0.12) unstable; urgency=low

  * Redirect all output to /var/log/messages.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Jul 2003 15:56:18 +0200

grub-installer (0.0.11) unstable; urgency=low

  * Pierre Machard
    - Update French po-debconf translation [Lucien Coste]
  * Tollef Fog Heen
    - Update dutch translation, from Cedric Walravens
  * Petter Reinholdtsen
    - Depend on created-fstab, as update-grub need /target/etc/fstab.
  * Alastair McKinstry
    - Converted changelog to UTF-8, required by Standards-Version 3.6.0

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Jul 2003 00:01:27 +0200

grub-installer (0.0.10) unstable; urgency=low

  * Petter Reinholdtsen
    - Updated nb.po.
    - Change 'Build-Depend-Indep' to 'Build-Depend' as this package is
      arch dependend for convenience.  (Closes: #194821)
    - Make sure target binary-arch' do the same as 'binary-indep'.
  * Thorsten Sauter
    - Include german translation (de.po).

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Jun 2003 13:26:25 +0200

grub-installer (0.0.9) unstable; urgency=low

  * André Luís Lopes :
    - Update pt_BR debconf template translation.
  * Petter Reinholdtsen
    - Update es debconf template translation, thanks to Carlos Valdivia Yagüe.
    - Updated nb.po.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  4 May 2003 14:42:50 +0200

grub-installer (0.0.8) unstable; urgency=low

  * debian/po/fr.po updated by Lucien Coste
  * Petter Reinholdtsen
    - Upgraded Standards-Version from 3.5.6 to 3.5.8.
    - Updated nn.po thanks to Gaute Hvoslef Kvalnes.
    - Added es.po, thanks to Carlos Valdivia Yagüe.
    - Add some logging and error reporting to make it easier to debug
      if something goes wrong.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Apr 2003 14:59:24 +0200

grub-installer (0.0.7) unstable; urgency=low

  * Petter Reinholdtsen
    - Added Norwegian Bokmål (nb.po) translations recieved from
      Bjørn Steensrud.
    - Add hurd-i386 to architecture list, as grub also compiled OK
      on hurd-i386 (Closes: #177343).
    - Add myself to uploaders.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  4 Mar 2003 16:38:35 +0100

grub-installer (0.0.6) unstable; urgency=low

  * Petter Reinholdtsen
    - Added Norwegian Nynorsk (nn.po) translations recieved from
      Gaute Hvoslef Kvalnes.
    - The boot loader installers now depend on kernel-installer, not base-
      installer.
    - Call 'apt-install grub' in postinst to make sure it is installed in
      /target/ before it is used (Closes: #181792).
    - Improve error reporting, and clean up postinst script.
  * André Luís Lopes :
    - Run debconf2po-update in order to update the various grub template
      translations.
    - Update pt_BR.po template translation.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 22 Feb 2003 17:33:44 +0100

grub-installer (0.0.5) unstable; urgency=low

  * Petter Reinholdtsen
    - Change maintainer to debian-boot@lists.debian.org, and make the old
      maintainer an uploader.  Added Tollef Fog Heen as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 Jan 2003 11:29:06 +0100

grub-installer (0.0.4) unstable; urgency=low

  * Tollef Fog Heen
    - Fix installer-menu-item

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  5 Dec 2002 01:11:37 +0100

grub-installer (0.0.3) unstable; urgency=low

  * Tollef Fog Heen
    - Don't set LD_LIBRARY_PATH.
  * Martin Sjögren
    - Replace XBC with XB so our special control fields don't confuse the
      changes files.
  * André Luís Lopes
    - Set pt_BR.po control fields.
    - Improve the translation a bit.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Nov 2002 02:11:12 +0100

grub-installer (0.0.2) unstable; urgency=low

  * Add Brazilian Portuguese, Catalan and Danish debconf templates.
  * Drop dependency on chroot.  There is no such package.
  * Avoid crashing when trying to call db_subst with an empty value.
  * Convert to po-debconf, set Build-Depends: debhelper (>= 4.1.13)
    to ensure that generated templates are right, and set output encoding
    to UTF-8.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 Oct 2002 12:44:56 +0200

grub-installer (0.0.1) unstable; urgency=low

  * First release
  * THIS IS PRETTY UNTESTED!!!!!!!!!!!!
    DON'T use it unless you are interested in helping me debug.
    Thank you for your consideration 

 -- Moshe Zadka <moshez@debian.org>  Fri,  9 Aug 2002 09:17:55 +0300
